2007-05-31  Simon Josefsson <jas@mocca.josefsson.org>

	* NEWS: Version 0.6.14.

2007-05-31  Simon Josefsson <jas@mocca.josefsson.org>

	* NEWS: Add.

2007-05-31  Simon Josefsson <jas@mocca.josefsson.org>

	* NEWS: Add.

2007-05-31  Simon Josefsson <jas@mocca.josefsson.org>

	* README-alpha: Cvs to git changes.

2007-05-31  Simon Josefsson <jas@mocca.josefsson.org>

	* Makefile.am: Use git instead of cvs.

2007-05-31  Simon Josefsson <jas@mocca.josefsson.org>

	* configure.ac: Bump versions.

2007-05-31  Simon Josefsson <jas@mocca.josefsson.org>

	* NEWS: Add.

2007-05-31  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2007-05-31  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/ja.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po,
	po/vi.po, po/zh_CN.po: Generated.

2007-05-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.6.13.

2007-05-31  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Install libidn-components.png in infodir, fixes
	broken image in the info manual.

2007-05-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-05-31  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am, doc/reference/libidn-docs.sgml: Fix
	image filename.

2007-05-31  Simon Josefsson <simon@josefsson.org>

	* doc/.cvsignore: [no log message]

2007-05-31  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am, doc/libidn.texi: Rename @image files so that they
	are prefixed with $PROJECT, so they can be installed in $infodir
	without collisions.

2007-05-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-05-31  Simon Josefsson <simon@josefsson.org>

	* po/pl.po, po/vi.po: Sync with TP.

2007-05-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2007-05-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-05-31  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs_template, gl/Makefile.am, gl/m4/unistd_h.m4,
	gl/override/doc/gendocs_template,
	gl/override/doc/gendocs_template.diff, gl/unistd_.h,
	lib/gl/Makefile.am, lib/gl/iconv_.h, lib/gl/m4/iconv.m4,
	lib/gl/m4/stdint.m4, lib/gl/stdint_.h, lib/gl/string_.h,
	lib/gl/wchar_.h: Update.

2007-05-30  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2007-05-30  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-05-30  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Typo.

2007-05-30  Simon Josefsson <simon@josefsson.org>

	* README: Clarify license of C# port.

2007-05-30  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Clarify license of java/csharp implementation.

2007-04-25  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2007-04-25  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.6.12.

2007-04-25  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/ja.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/vi.po,
	po/zh_CN.po: Sync with TP.

2007-04-24  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2007-04-24  Simon Josefsson <simon@josefsson.org>

	* java/misc/Makefile.am: Use AM_JAVACFLAGS instead of JAVACFLAGS.
	See

	<http://ftp.gnu.org/gnu/Manuals/automake-1.7.2/html_node/automake_78.html>. Tiny patch from Petteri Räty <betelgeuse@gentoo.org>.

2007-04-19  Simon Josefsson <simon@josefsson.org>

	* lib/gl/.cvsignore: [no log message]

2007-04-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-04-19  Simon Josefsson <simon@josefsson.org>

	* build-aux/gendocs.sh, gl/dummy.c, gl/m4/gnulib-comp.m4,
	lib/gl/.cvsignore, lib/gl/Makefile.am, lib/gl/iconv_.h,
	lib/gl/iconv_open-aix.gperf, lib/gl/iconv_open-hpux.gperf,
	lib/gl/iconv_open-irix.gperf, lib/gl/iconv_open-osf.gperf,
	lib/gl/iconv_open.c, lib/gl/m4/gnulib-comp.m4, lib/gl/m4/iconv.m4,
	lib/gl/m4/iconv_h.m4, lib/gl/m4/iconv_open.m4, lib/gl/m4/stdint.m4,
	lib/gl/stdbool_.h, lib/gl/string_.h, lib/gl/wchar_.h: Update.

2007-04-02  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Fix typo.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: 0.6.11.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: 0.6.10.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: 0.6.9.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/ja.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po,
	po/vi.po, po/zh_CN.po: Generated.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.6.11.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Fix path to csharpcomp.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Dist more.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Fix tests.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: fix

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* csharp/.cvsignore: [no log message]

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* csharp/generate/GenerateNFKC.cs: Fix typo.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* csharp/generate/GenerateNFKC.cs: Don't wait for newline from user
	(breaks batch usage).  Fix typo.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* csharp/generate/GenerateRFC3454.cs: Don't wait for return from
	user (breaks batch usage).

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* csharp/generate/GenerateRFC3454.cs: Fix namespace.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* csharp/IDNA.cs, csharp/IDNAException.cs, csharp/NFKC.cs,
	csharp/Punycode.cs, csharp/PunycodeException.cs,
	csharp/Stringprep.cs, csharp/StringprepException.cs,
	csharp/libidn.cmbx, csharp/libidn.csproj,
	csharp/libidn.csproj.user, csharp/libidn.prjx, csharp/libidn.sln,
	csharp/libidn.suo, csharp/libidn_PPC.suo: Update, from Alexander
	Gnauck <gnauck@ag-software.de>.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* csharp/CombiningClass.cs, csharp/Composition.cs,
	csharp/DecompositionKeys.cs, csharp/DecompositionMappings.cs,
	csharp/RFC3454.cs: Remove.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Generate generated files.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* csharp/generate/GenerateRFC3454.cs: AppendLine isn't supported by
	cscc, use Append+\n.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am, csharp/generate/AssemblyInfo.cs,
	csharp/generate/GenerateNFKC.cs,
	csharp/generate/GenerateRFC3454.cs, csharp/generate/HashSet.cs,
	csharp/generate/Program.cs, csharp/generate/Tokenizer.cs: Add code
	to generate tables, from Alexander Gnauck <gnauck@ag-software.de>.

2007-03-13  Simon Josefsson <simon@josefsson.org>

	* gl/dummy.c, gl/getopt_.h, lib/gl/stdint_.h: Update.

2007-03-09  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/ja.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/vi.po,
	po/zh_CN.po: Sync with TP.

2007-03-09  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2007-03-09  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Revert.

2007-03-09  Simon Josefsson <simon@josefsson.org>

	* lib/gl/string.h: Update.

2007-03-09  Simon Josefsson <simon@josefsson.org>

	* build-aux/.cvsignore, doc/.cvsignore, gl/.cvsignore,
	lib/gl/.cvsignore: [no log message]

2007-03-09  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, csharp/Makefile.am: Update gnulib.

2007-03-09  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, announce-gen, build-aux/GNUmakefile,
	build-aux/announce-gen, build-aux/config.rpath,
	build-aux/csharpcomp.sh.in, build-aux/gendocs.sh,
	build-aux/gnupload, build-aux/link-warning.h, build-aux/maint.mk,
	csharpcomp.sh.in, gendocs.sh, gl/Makefile.am,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4, gl/m4/unistd_h.m4,
	gl/unistd_.h, gnupload, lib/gl/Makefile.am,
	lib/gl/m4/gnulib-cache.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/string_h.m4, lib/gl/string_.h, maint-cfg.mk, maint.mk: 
	Update.

2007-03-09  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Use build-aux.

2007-02-24  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-klensin-idnabis-issues-01.txt: Add.

2007-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/gl/Makefile.am, lib/gl/m4/string_h.m4, lib/gl/string_.h: 
	Update.

2007-02-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-02-05  Simon Josefsson <simon@josefsson.org>

	* lib/gl/Makefile.am, lib/gl/c-ctype.c, lib/gl/c-ctype.h,
	lib/gl/c-strcase.h, lib/gl/c-strcasecmp.c, lib/gl/c-strncasecmp.c,
	lib/gl/iconvme.c, lib/gl/iconvme.h, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/iconvme.m4,
	lib/gl/m4/stdbool.m4, lib/gl/stdbool_.h, lib/gl/striconv.c,
	lib/gl/striconv.h, lib/gl/string.h, lib/toutf8.c: Update.

2007-02-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-02-05  Simon Josefsson <simon@josefsson.org>

	* gl/m4/unistd_h.m4, lib/gl/Makefile.am, lib/gl/iconvme.c,
	lib/gl/m4/extensions.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/strdup.m4, lib/gl/m4/string_h.m4, lib/gl/strdup.c,
	lib/gl/strdup.h, lib/gl/string_.h: Update.

2007-01-25  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/absolute-header.m4, gl/m4/gnulib-common.m4,
	gl/m4/gnulib-comp.m4, gl/m4/unistd_h.m4, gl/unistd_.h,
	lib/gl/Makefile.am, lib/gl/m4/gnulib-common.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/lib-link.m4,
	lib/gl/m4/stdint.m4, lib/gl/m4/wchar.m4, lib/gl/stdint_.h,
	lib/gl/wchar_.h: Update.

2007-01-04  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2007-01-04  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/ja.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po,
	po/vi.po, po/zh_CN.po: Generated.

2007-01-04  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.6.10.

2007-01-04  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2007-01-04  Simon Josefsson <simon@josefsson.org>

	* FAQ, NEWS, README, README-alpha, THANKS, TODO, configure.ac,
	contrib/README, contrib/doxygen/gdoc2doxygen,
	contrib/java/Makefile.am, contrib/java/README,
	csharp/CombiningClass.cs, csharp/Composition.cs,
	csharp/DecompositionKeys.cs, csharp/DecompositionMappings.cs,
	csharp/IDNA.cs, csharp/IDNAException.cs, csharp/Makefile.am,
	csharp/NFKC.cs, csharp/Punycode.cs, csharp/PunycodeException.cs,
	csharp/RFC3454.cs, csharp/Stringprep.cs,
	csharp/StringprepException.cs, doc/Makefile.am, doc/Makefile.gdoci,
	doc/gdoc, doc/libidn.texi, doc/specifications/Makefile.am,
	doc/tld/Makefile.am, doc/tld/README, examples/Makefile.am,
	examples/README, examples/example.c, examples/example2.c,
	examples/example3.c, examples/example4.c, examples/example5.c,
	java/Makefile.am, java/gnu/inet/encoding/CombiningClass.java,
	java/gnu/inet/encoding/Composition.java,
	java/gnu/inet/encoding/DecompositionKeys.java,
	java/gnu/inet/encoding/DecompositionMappings.java,
	java/gnu/inet/encoding/IDNA.java,
	java/gnu/inet/encoding/IDNAException.java,
	java/gnu/inet/encoding/Makefile.am,
	java/gnu/inet/encoding/NFKC.java,
	java/gnu/inet/encoding/Punycode.java,
	java/gnu/inet/encoding/PunycodeException.java,
	java/gnu/inet/encoding/RFC3454.java,
	java/gnu/inet/encoding/Stringprep.java,
	java/gnu/inet/encoding/StringprepException.java,
	java/misc/GenerateNFKC.java, java/misc/GenerateRFC3454.java,
	java/misc/Makefile.am, java/misc/TestIDNA.java,
	java/misc/TestNFKC.java, lib/Makefile.am,
	lib/gen-stringprep-tables.pl, lib/gen-tld-tables.pl,
	lib/gen-unicode-tables.pl, lib/idn-free.c, lib/idn-free.h,
	lib/idna.c, lib/idna.h, lib/nfkc.c, lib/pr29.c, lib/pr29.h,
	lib/profiles.c, lib/punycode.c, lib/punycode.h,
	lib/strerror-idna.c, lib/strerror-pr29.c, lib/strerror-punycode.c,
	lib/strerror-stringprep.c, lib/strerror-tld.c, lib/stringprep.c,
	lib/stringprep.h.in, lib/tld.c, lib/tld.h, lib/toutf8.c,
	lib/version.c, libidn.pc.in, maint-cfg.mk, po/POTFILES.in,
	src/Makefile.am, src/idn.c, src/idn.ggo, src/idna.el,
	src/punycode.el, tests/Makefile.am, tests/tst_idna.c,
	tests/tst_idna2.c, tests/tst_nfkc.c, tests/tst_pr29.c,
	tests/tst_punycode.c, tests/tst_strerror.c, tests/tst_stringprep.c,
	tests/tst_tld.c, tests/utils.c, tests/utils.h: Bump copyright years
	(also add older years which I forgot to add earlier).

2007-01-04  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Update PGP key.

2007-01-03  Simon Josefsson <simon@josefsson.org>

	* announce-gen, gl/Makefile.am, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, lib/gl/Makefile.am,
	lib/gl/m4/gnulib-cache.m4, lib/gl/m4/gnulib-comp.m4,
	lib/gl/m4/lib-link.m4: Update.

2006-12-28  Simon Josefsson <simon@josefsson.org>

	* announce-gen, gl/Makefile.am, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4: Add.

2006-12-28  Simon Josefsson <simon@josefsson.org>

	* lib/gl/iconvme.c, lib/gl/m4/lib-link.m4, lib/gl/m4/stdint.m4,
	lib/gl/strdup.h: Update.

2006-12-26  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-suignard-stringprep-bis-00.txt: Add.

2006-12-10  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2006-11-30  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2006-11-30  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/ja.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/vi.po,
	po/zh_CN.po: Sync with TP.

2006-11-30  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.6.9.

2006-11-30  Simon Josefsson <simon@josefsson.org>

	* m4/.cvsignore: [no log message]

2006-11-30  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-11-30  Simon Josefsson <simon@josefsson.org>

	* m4/codeset.m4, m4/iconv.m4, m4/lib-link.m4: Remove.

2006-11-30  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump tool versions.

2006-11-30  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/gettext.h, lib/gl/Makefile.am,
	lib/gl/gettext.h, lib/gl/m4/stdint.m4: Update.

2006-11-16  Simon Josefsson <simon@josefsson.org>

	* java/misc/TestIDNA.java: Re-add test, with fixed code that doesn't
	use Java 1.5 syntax. Suggested by "Stephane Mikaty"
	<mikaty@ecircle-ag.com>.

2006-11-16  Simon Josefsson <simon@josefsson.org>

	* java/misc/TestIDNA.java: Revert (didn't compile).

2006-11-15  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2006-11-15  Simon Josefsson <simon@josefsson.org>

	* java/misc/TestIDNA.java: New self-test to test for ToIDNA
	regression regarding non-ascii dot-delimiters.  Tiny patch from
	"Stephane Mikaty" <mikaty@ecircle-ag.com>.

2006-11-15  Simon Josefsson <simon@josefsson.org>

	* java/gnu/inet/encoding/IDNA.java: Fix non-ascii dot in strings,
	tiny patch from "Stephane Mikaty" <mikaty@ecircle-ag.com>.

2006-11-15  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-11-15  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/getopt_.h, gl/gettext.h, gl/m4/gnulib-comp.m4,
	gnupload, lib/gl/Makefile.am, lib/gl/gettext.h,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/lib-link.m4,
	lib/gl/m4/longlong.m4, lib/gl/stdint_.h: Update.

2006-10-31  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2006-10-31  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/gettext.h, gl/m4/gnulib-comp.m4,
	lib/gl/Makefile.am, lib/gl/gettext.h, lib/gl/iconvme.c,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/lib-link.m4, lib/gl/stdint_.h: 
	Update.

2006-10-26  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-faltstrom-idnabis-tables-01.txt: Add.

2006-10-20  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-faltstrom-idnabis-tables-00.txt,
	doc/specifications/draft-klensin-idnabis-issues-00.txt: Add.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/ja.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po,
	po/vi.po, po/zh_CN.po: Generated.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.6.8.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/ja.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/vi.po,
	po/zh_CN.po: Sync with TP.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* configure.ac, src/idn.c: Assume locale.h and setlocale.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, lib/Makefile.am: Build lib/gl/ earlier.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* lib/gl/.cvsignore: [no log message]

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Build gl/ first.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am, lib/gl/Makefile.am,
	lib/gl/m4/absolute-header.m4, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/longlong.m4,
	lib/gl/m4/stdint.m4, lib/gl/m4/ulonglong.m4, lib/gl/stdint_.h,
	po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/ja.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po,
	po/vi.po, po/zh_CN.po: Add stdint module to lib/.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/absolute-header.m4, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4, gl/m4/longlong.m4, gl/m4/stdint.m4,
	gl/m4/strdup.m4, gl/m4/ulonglong.m4, gl/stdint_.h, gl/strdup.c,
	gl/strdup.h: Remove.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Ignore all of lib/gl/.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Move libtool init, to avoid warnings.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* lib/gl/Makefile.am, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/strverscmp.m4,
	lib/gl/strverscmp.c, lib/gl/strverscmp.h: Add strverscmp.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* lib/version.c: Rewrite using strverscmp, to fix some corner-cases.


2006-10-18  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am, lib/gl/Makefile.am, lib/gl/gettext.h,
	lib/gl/m4/gnulib-cache.m4, lib/gl/m4/gnulib-comp.m4, lib/iconvme.c,
	lib/iconvme.h: Use iconvme from gnulib.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Ignore strdup.h.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* lib/gl/.cvsignore: [no log message]

2006-10-18  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.ac, gl/Makefile.am, gl/gettext.h,
	gl/m4/gnulib-comp.m4, gl/m4/longlong.m4, gl/m4/stdint.m4,
	gl/m4/ulonglong.m4, gl/stdint_.h, gl/strdup.c, gnupload,
	lib/Makefile.am, lib/gl/Makefile.am, lib/gl/iconvme.c,
	lib/gl/iconvme.h, lib/gl/m4/gnulib-cache.m4,
	lib/gl/m4/gnulib-comp.m4, lib/gl/m4/gnulib-tool.m4,
	lib/gl/m4/iconv.m4, lib/gl/m4/iconvme.m4, lib/gl/m4/lib-ld.m4,
	lib/gl/m4/lib-link.m4, lib/gl/m4/lib-prefix.m4,
	lib/gl/m4/strdup.m4, lib/gl/strdup.c, lib/gl/strdup.h: Separate
	gnulib directories.  Also update gnulib files.

2006-10-17  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-alvestrand-idna-bidi-00.txt: Add.

2006-10-14  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/rfc4713.txt: Add.

2006-10-02  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/rfc4690.txt: Add.

2006-09-27  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2006-09-27  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-09-25  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-comp.m4, gl/override/doc/gpl.texi.diff,
	gl/override/doc/lgpl.texi.diff, gl/override/gpl.texi.diff,
	gl/override/lgpl.texi.diff: Update.

2006-09-21  Simon Josefsson <simon@josefsson.org>

	* doc/gpl.texi, doc/lgpl.texi, gl/override/gpl.texi.diff,
	gl/override/lgpl.texi.diff: Update.

2006-09-14  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/error.c, gl/getopt.c, gl/getopt1.c,
	gl/strdup.c: Update.

2006-09-13  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2006-09-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.6.7.

2006-09-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-09-13  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/ja.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/vi.po,
	po/zh_CN.po: Sync with TP.

2006-09-13  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-comp.m4, gl/m4/onceonly_2_57.m4: Update.

2006-09-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-09-12  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2006-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: For C99 stdint.h platforms, create a dummy
	idn-int.h that include stdint.h, reported by Paul Howarth
	<paul@city-fan.org>.

2006-09-12  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2006-09-12  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2006-09-12  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Move the index to the end.

2006-09-12  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix refs.

2006-09-12  Simon Josefsson <simon@josefsson.org>

	* doc/fdl.texi, doc/gpl.texi, doc/lgpl.texi, doc/libidn.texi,
	gl/Makefile.am, gl/m4/gnulib-comp.m4: Update.

2006-09-04  Simon Josefsson <simon@josefsson.org>

	* doc/fdl.texi, doc/gpl.texi, doc/lgpl.texi: Update.

2006-09-04  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2006-09-04  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am, doc/gpl.texi, doc/lgpl.texi, doc/libidn.texi,
	gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4: Add
	lgpl and gpl from gnulib.

2006-08-30  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Use gnupload from gnulib.

2006-08-30  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	gnupload: Update.

2006-08-30  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/error.c, gl/m4/gnulib-cache.m4,
	gl/m4/stdint.m4, gl/stdint_.h: Update.

2006-08-28  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/stdint.m4,
	gl/stdint_.h: Update.

2006-08-23  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2006-08-23  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/ja.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po,
	po/vi.po, po/zh_CN.po: Generated.

2006-08-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.6.6.

2006-08-23  Simon Josefsson <simon@josefsson.org>

	* gl/m4/longlong.m4: Update.

2006-08-23  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-comp.m4, gl/m4/strdup.m4,
	gl/m4/strerror_r.m4: Update.

2006-08-23  Simon Josefsson <simon@josefsson.org>

	* gl/override/doc/gendocs_template: Add.

2006-08-19  Simon Josefsson <simon@josefsson.org>

	* gl/error.c, gl/m4/gnulib-comp.m4: Update.

2006-08-09  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/ja.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/vi.po,
	po/zh_CN.po: Sync with TP.

2006-08-09  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-08-09  Simon Josefsson <simon@josefsson.org>

	* csharpcomp.sh.in, gendocs.sh, gl/Makefile.am, gl/error.c,
	gl/error.h, gl/gettext.h, gl/m4/csharpcomp.m4,
	gl/m4/gnulib-comp.m4, gl/m4/onceonly_2_57.m4, gl/m4/stdint.m4,
	gl/stdint_.h: Update.

2006-07-14  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix.

2006-07-14  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh, gl/Makefile.am, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4: Update.

2006-07-11  Simon Josefsson <simon@josefsson.org>

	* doc/fdl.texi, gl/Makefile.am, gl/m4/absolute-header.m4,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4, gl/m4/stdint.m4: 
	Update.

2006-07-11  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Fix texi2dvi -I's.

2006-07-10  Simon Josefsson <simon@josefsson.org>

	* gl/m4/absolute-header.m4, gl/m4/getopt.m4, gl/m4/gnulib-comp.m4,
	gl/m4/onceonly_2_57.m4: Update.

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* gl/.cvsignore: [no log message]

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, gl/Makefile.am, gl/m4/absolute-header.m4,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4, gl/m4/longlong.m4,
	gl/m4/stdint.m4, gl/stdint_.h, lib/Makefile.am,
	m4/ax_create_stdint_h.m4, po/da.po, po/de.po, po/eo.po, po/fr.po,
	po/it.po, po/ja.po, po/nl.po, po/pl.po, po/ro.po, po/rw.po,
	po/sr.po, po/sv.po, po/vi.po, po/zh_CN.po: Use gnulib stdint module
	instead of AX_CREATE_STDINT_H.

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump version.

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix gendocs.sh run.

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/ja.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po,
	po/vi.po, po/zh_CN.po: Generated.

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.6.5.

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh: Update.

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* contrib/doxygen/Doxyfile.in, contrib/doxygen/Doxyfile.orig: Update
	to doxygen 1.4.7.

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Need libintl too, for gettext, reported by Kirill
	Ponomarew <krion@voodoo.bawue.com>.

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* gl/getopt.c: Update.

2006-07-07  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2006-07-06  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2006-07-06  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/ja.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po,
	po/vi.po, po/zh_CN.po: Generated.

2006-07-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.6.4.

2006-07-06  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Fix valgrind test.

2006-07-06  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Check if running valgrind works.

2006-07-06  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Need -I for texi2dvi too.

2006-07-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix paths.

2006-07-06  Simon Josefsson <simon@josefsson.org>

	* doc/man/.cvsignore: Add.

2006-07-06  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/onceonly_2_57.m4: Update.

2006-07-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2006-07-06  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Simplify valgrind usage.

2006-07-06  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Check for valgrind.

2006-06-27  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Use GNU-style warnings.

2006-06-27  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Fix man output, sync.

2006-06-22  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Use AC_LIBTOOL_WIN32_DLL.

2006-06-16  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-iab-idn-nextsteps-06.txt: Add.

2006-06-10  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/ja.po: Sync with TP.

2006-06-09  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/rfc4518.txt: Add.

2006-06-07  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-comp.m4: Update.

2006-06-07  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-comp.m4: Update.

2006-06-07  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-comp.m4: Update.

2006-06-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-06-01  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: When printing size_t, use %lu and cast the value to
	unsigned long, based on report from Joe Orton <jorton@redhat.com>.

2006-06-01  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/vi.po, po/zh_CN.po: Sync
	with TP.

2006-06-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-06-01  Simon Josefsson <simon@josefsson.org>

	* lib/strerror-idna.c, lib/strerror-pr29.c,
	lib/strerror-punycode.c, lib/strerror-stringprep.c,
	lib/strerror-tld.c: Include config.h, to make NLS work, tiny patch
	from Joe Orton <jorton@redhat.com>.

2006-05-16  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4: 
	Update.

2006-05-05  Simon Josefsson <simon@josefsson.org>

	* doc/java/.cvsignore, doc/java/resources/.cvsignore: [no log
	message]

2006-05-04  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-05-04  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Run tests under valgrind, if present.

2006-04-26  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Typo.

2006-04-26  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/strerror_r.m4: Update.

2006-04-17  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-iab-idn-nextsteps-05.txt: Add.

2006-03-14  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix title.

2006-03-11  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Fix.

2006-03-11  Simon Josefsson <simon@josefsson.org>

	* maint-cfg.mk: fix

2006-03-11  Simon Josefsson <simon@josefsson.org>

	* gtk-doc.make: Add.

2006-03-10  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-farah-adntf-adns-guidelines-01.txt: Add.


2006-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Typo.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po, po/vi.po,
	po/zh_CN.po: Generated.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.6.3.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, po/da.po, po/de.po, po/eo.po, po/fr.po,
	po/it.po, po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po,
	po/sv.po, po/vi.po, po/zh_CN.po: Bump versions.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-comp.m4, gl/m4/unistd_h.m4,
	gl/unistd_.h, maint.mk: Update.

2006-03-08  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/getopt.c, gl/m4/gnulib-comp.m4,
	gl/m4/unistd_h.m4, gl/unistd_.h, maint.mk: Update.

2006-03-07  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-iab-idn-nextsteps-04.txt: Add.

2006-03-03  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po,
	po/nl.po, po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/vi.po,
	po/zh_CN.po: Sync with TP.

2006-03-03  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix update-po rule.

2006-03-03  Simon Josefsson <simon@josefsson.org>

	* maint.mk: Update.

2006-03-03  Simon Josefsson <simon@josefsson.org>

	* maint.mk: Update.

2006-03-03  Simon Josefsson <simon@josefsson.org>

	* examples/example3.c, examples/example4.c, lib/nfkc.c: Doc fix.

2006-03-03  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c, lib/nfkc.c, lib/stringprep.c, lib/toutf8.c,
	lib/version.c, src/idn.c, tests/tst_idna.c, tests/tst_idna2.c,
	tests/tst_nfkc.c, tests/tst_pr29.c, tests/tst_punycode.c,
	tests/tst_strerror.c, tests/tst_stringprep.c, tests/tst_tld.c,
	tests/utils.c: Stylistic fix.

2006-03-03  Simon Josefsson <simon@josefsson.org>

	* gl/getopt.c, maint.mk: Update.

2006-03-03  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, examples/Makefile.am, lib/Makefile.am,
	src/Makefile.am, tests/Makefile.am: Remove indent.

2006-02-17  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-iab-idn-nextsteps-03.txt: Add.

2006-02-16  Simon Josefsson <simon@josefsson.org>

	* maint-cfg.mk: Fix.

2006-02-16  Simon Josefsson <simon@josefsson.org>

	* maint-cfg.mk: Fix.

2006-02-16  Simon Josefsson <simon@josefsson.org>

	* maint-cfg.mk: Fix.

2006-02-16  Simon Josefsson <simon@josefsson.org>

	* maint-cfg.mk: Fix. Add mingw32 target.

2006-02-15  Simon Josefsson <simon@josefsson.org>

	* maint.mk: Update.

2006-02-14  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, Makefile.cfg, Makefile.maint, gl/m4/gnulib-comp.m4,
	maint-cfg.mk, maint.mk: Rename.

2006-02-14  Simon Josefsson <simon@josefsson.org>

	* Makefile.cfg: Fix.

2006-02-14  Simon Josefsson <simon@josefsson.org>

	* Makefile.cfg: Fix.

2006-02-14  Simon Josefsson <simon@josefsson.org>

	* Makefile.cfg: Fix.

2006-02-14  Simon Josefsson <simon@josefsson.org>

	* Makefile.cfg: Fix.

2006-02-14  Simon Josefsson <simon@josefsson.org>

	* autogen.sh: Remove.

2006-02-14  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, Makefile.cfg, Makefile.maint: Add.

2006-02-11  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile, Makefile.maint, csharpcomp.sh.in, gl/Makefile.am,
	gl/csharpcomp.sh.in, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4: 
	Update gnulib.

2006-02-07  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: 0.6.2.

2006-02-07  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2006-02-07  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix includes, for make dist.

2006-02-07  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Fix -I's again, for make dist.

2006-02-07  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix @verbatiminclude's, for make dist.

2006-02-07  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Fix -I's, for make dist.

2006-02-07  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Add -I for examples.

2006-02-07  Simon Josefsson <simon@josefsson.org>

	* .cvscopying: Fix years.

2006-02-07  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po, po/vi.po,
	po/zh_CN.po: Generated.

2006-02-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.6.2.

2006-02-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-02-07  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/sr.po, po/vi.po: Update.

2006-02-07  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/vi.po, po/zh_CN.po: Sync
	with TP.

2006-02-07  Simon Josefsson <simon@josefsson.org>

	* gl/csharpcomp.sh.in, gl/getopt.c, gl/m4/getopt.m4,
	gl/m4/gnulib-tool.m4: Update.

2006-02-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-02-03  Simon Josefsson <simon@josefsson.org>

	* java/misc/Makefile.am: Fix objdir != srcdir, tiny patch from
	Bernard Leak <bernard@brenda-arkle.demon.co.uk>.

2006-02-03  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2006-02-03  Simon Josefsson <simon@josefsson.org>

	* doc/java/Makefile.am, java/Makefile.am: Fix objdir != srcdir, tiny
	patch from Bernard Leak <bernard@brenda-arkle.demon.co.uk>.

2006-01-27  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/vi.po, po/zh_CN.po: Sync
	with TP.

2006-01-27  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2006-01-27  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Fix 'make distcheck'.

2006-01-26  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2006-01-24  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-ietf-ldapbis-strprep-07.txt: Add.

2006-01-20  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: 0.6.1.

2006-01-20  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2006-01-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.6.1.

2006-01-20  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2006-01-20  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po, po/vi.po,
	po/zh_CN.po: Sync with TP.

2006-01-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-01-20  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Fix mingw32 builds.

2006-01-20  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Fix make check on mingw32.

2006-01-12  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-xdlee-idn-cdnadmin-06.txt: Add.

2006-01-11  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4: Update.

2006-01-11  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am, doc/libidn.texi: Fix copyright years.

2006-01-11  Simon Josefsson <simon@josefsson.org>

	* README, README-alpha: Add.

2006-01-11  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Update PGP key.

2006-01-11  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Fix path to csharpcomp.sh.

2006-01-11  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2006-01-11  Simon Josefsson <simon@josefsson.org>

	* .cvsignore, gl/.cvsignore: [no log message]

2006-01-11  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Fix.

2006-01-11  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4: 
	Update.

2006-01-09  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-cache.m4, gl/m4/gnulib-tool.m4: Update.

2006-01-09  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/csharpcomp.sh.in, gl/m4/gnulib-cache.m4,
	gl/m4/gnulib-comp.m4: Update.

2006-01-09  Simon Josefsson <simon@josefsson.org>

	* tests/tst_idna2.c: Print USC4 code point numbers too.

2005-12-23  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/rfc4290.txt: Add.

2005-12-22  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-iab-idn-nextsteps-01.txt: Add.

2005-12-12  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2005-12-03  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: 0.6.0.

2005-12-03  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump version.

2005-12-03  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2005-12-03  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po, po/vi.po,
	po/zh_CN.po: Generated.

2005-12-03  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.6.0.

2005-12-03  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2005-12-03  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2005-12-03  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2005-12-03  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Csharp test is in gnulib now, remove it.

2005-12-03  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-iab-idn-nextsteps-00.txt: Add.

2005-12-02  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/vi.po, po/zh_CN.po: Sync
	with TP.

2005-12-02  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add C# notes.

2005-12-02  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Fix message.

2005-12-02  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/csharpcomp.sh.in, gl/m4/csharp.m4,
	gl/m4/csharpcomp.m4, gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4,
	m4/csharp.m4, m4/csharpcomp.m4: Use csharpcomp-script from gnulib.

2005-12-02  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Don't specify any C# compile flags (fixes
	distcheck).

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/rw.po, po/zh_CN.po: Sync with TP.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Dist MSVS stuff.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* csharp/libidn.csproj, csharp/libidn.csproj.user,
	csharp/libidn.sln, csharp/libidn.suo, csharp/libidn_PPC.csdproj,
	csharp/libidn_PPC.csdproj.user, csharp/libidn_PPC.sln,
	csharp/libidn_PPC.suo: Add MSVSC project files.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* csharp/CombiningClass.cs, csharp/Composition.cs,
	csharp/DecompositionKeys.cs, csharp/DecompositionMappings.cs,
	csharp/IDNA.cs, csharp/IDNAException.cs, csharp/NFKC.cs,
	csharp/Punycode.cs, csharp/PunycodeException.cs, csharp/RFC3454.cs,
	csharp/Stringprep.cs, csharp/StringprepException.cs: Use GPL for the
	port.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* csharp/.cvsignore, gl/.cvsignore: [no log message]

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac, csharp/Makefile.am: Fix csharpcomp location.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* NEWS, gl/csharpcomp.sh.in: Add.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac, csharp/Makefile.am: Fix.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Fix message.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Fix.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* m4/csharp.m4, m4/csharpcomp.m4: Add.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Add C# tests.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Remove.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Fix.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* .cvscopying: Add 2005.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Add.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* AUTHORS, THANKS: Add.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Use gnulib, for csharpcomp.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* csharp/Makefile.am: Add.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.ac: C# fixes.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* csharp/AssemblyInfo.cs, csharp/CombiningClass.cs,
	csharp/Composition.cs, csharp/DecompositionKeys.cs,
	csharp/DecompositionMappings.cs, csharp/IDNA.cs,
	csharp/IDNAException.cs, csharp/NFKC.cs, csharp/Punycode.cs,
	csharp/PunycodeException.cs, csharp/RFC3454.cs,
	csharp/Stringprep.cs, csharp/StringprepException.cs: Add C# port,
	from Alexander Gnauck <gnauck@ag-software.de>.

2005-12-01  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump version.

2005-11-04  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2005-11-04  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2005-11-04  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Use -no-undefined for libtool, for cygwin, tiny
	patch from "Yaakov S (Cygwin Ports)"
	<yselkowitz@users.sourceforge.net>.

2005-10-26  Simon Josefsson <simon@josefsson.org>

	* po/da.po: Add.

2005-10-23  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2005-10-23  Simon Josefsson <simon@josefsson.org>

	* lib/pr29.c: (pr29_8z): Fix memory leak.

2005-10-23  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Add.

2005-10-23  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2005-10-23  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po, po/vi.po,
	po/zh_CN.po: Generated.

2005-10-23  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Mention Suse on IBM OpenPower.

2005-10-23  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Fix.

2005-10-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-10-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.20.

2005-10-23  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po, po/vi.po,
	po/zh_CN.po: Sync with TP.

2005-10-23  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Add.

2005-10-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-10-23  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Install pr29.h.

2005-10-22  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-comp.m4: Update.

2005-10-07  Simon Josefsson <simon@josefsson.org>

	* gl/getopt_.h: Update.

2005-10-01  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-ietf-ldapbis-strprep-06.txt: Add.

2005-09-22  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-comp.m4: Update.

2005-09-20  Simon Josefsson <simon@josefsson.org>

	* gl/getopt1.c: Update.

2005-09-19  Simon Josefsson <simon@josefsson.org>

	* gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4: Update.

2005-09-19  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2005-09-19  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Use gnupload.

2005-09-19  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: 0.5.19.

2005-09-19  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2005-09-19  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po, po/vi.po,
	po/zh_CN.po: Update.

2005-09-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.19.

2005-09-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-09-19  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po, po/vi.po,
	po/zh_CN.po: Update.

2005-09-19  Simon Josefsson <simon@josefsson.org>

	* po/Makevars: Use --no-location, to minimize CVS diff's.

2005-09-19  Simon Josefsson <simon@josefsson.org>

	* doc/reference/tmpl/.cvsignore: [no log message]

2005-09-15  Simon Josefsson <simon@josefsson.org>

	* doc/reference/tmpl/libidn-unused.sgml: Add (to fix gtk-doc
	makefile bug).

2005-09-15  Simon Josefsson <simon@josefsson.org>

	* doc/java/Makefile.am: Fix dependency.

2005-09-13  Simon Josefsson <simon@josefsson.org>

	* : Update.

2005-09-13  Simon Josefsson <simon@josefsson.org>

	* po/da.po: Sync with TP.

2005-09-13  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix wget usage.

2005-09-13  Simon Josefsson <simon@josefsson.org>

	* po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/vi.po: Sync with TP.

2005-09-13  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po, po/vi.po,
	po/zh_CN.po: Sync with TP.

2005-09-12  Simon Josefsson <simon@josefsson.org>

	* m4/gtk-doc.m4: Update.

2005-09-12  Simon Josefsson <simon@josefsson.org>

	* doc/java/Makefile.am: Fix dependencies.

2005-09-12  Simon Josefsson <simon@josefsson.org>

	* doc/java/.cvsignore, doc/java/gnu/inet/encoding/.cvsignore,
	doc/java/resources/.cvsignore: [no log message]

2005-09-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2005-09-12  Simon Josefsson <simon@josefsson.org>

	* doc/java/.cvsignore: [no log message]

2005-09-12  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: Call gjdoc directly.

2005-09-12  Simon Josefsson <simon@josefsson.org>

	* README-alpha, configure.ac: Replace javadoc with gjdoc.

2005-09-12  Simon Josefsson <simon@josefsson.org>

	* doc/java/Makefile.am: Dist files generated by gjdoc instead.

2005-09-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-09-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-09-10  Simon Josefsson <simon@josefsson.org>

	* lib/toutf8.c: Use HAVE_LOCALE_H.

2005-09-10  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-09-10  Simon Josefsson <simon@josefsson.org>

	* m4/codeset.m4: Update.

2005-09-10  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2005-09-10  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Fix header/setlocale checks.

2005-09-10  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Check for locale.h.

2005-09-10  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Fix setlocale test.

2005-09-10  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Check for setlocale.

2005-09-09  Simon Josefsson <simon@josefsson.org>

	* m4/codeset.m4: Add.

2005-09-09  Simon Josefsson <simon@josefsson.org>

	* lib/toutf8.c: Use modern nl_langinfo test.

2005-09-09  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Simplify nl_langinfo test.

2005-09-09  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Fix #include's.

2005-09-09  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Let's assume unistd.h and errno.h (in fact, we
	already did in the source code and nobody complained).

2005-09-09  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Update PGP key.

2005-09-09  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-09-09  Simon Josefsson <simon@josefsson.org>

	* configure.ac, gl/Makefile.am, gl/m4/codeset.m4, gl/m4/getopt.m4,
	gl/m4/gettext.m4, gl/m4/glibc2.m4, gl/m4/glibc21.m4,
	gl/m4/gnulib-cache.m4, gl/m4/gnulib-comp.m4, gl/m4/gnulib-tool.m4,
	gl/m4/gnulib.m4, gl/m4/iconv.m4, gl/m4/intdiv0.m4, gl/m4/intmax.m4,
	gl/m4/inttypes-pri.m4, gl/m4/inttypes.m4, gl/m4/inttypes_h.m4,
	gl/m4/isc-posix.m4, gl/m4/lcmessage.m4, gl/m4/lib-ld.m4,
	gl/m4/lib-link.m4, gl/m4/lib-prefix.m4, gl/m4/longdouble.m4,
	gl/m4/longlong.m4, gl/m4/nls.m4, gl/m4/onceonly_2_57.m4,
	gl/m4/po.m4, gl/m4/printf-posix.m4, gl/m4/progtest.m4,
	gl/m4/signed.m4, gl/m4/size_max.m4, gl/m4/stdint_h.m4,
	gl/m4/strdup.m4, gl/m4/uintmax_t.m4, gl/m4/ulonglong.m4,
	gl/m4/wchar_t.m4, gl/m4/wint_t.m4, gl/m4/xsize.m4: Update gnulib.

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* README: Fix typo.

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Add.

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po, po/vi.po,
	po/zh_CN.po: Generated.

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.18.

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Link to help-libidn.

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* README: Add.

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib.m4: Update.

2005-07-16  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Simplify.

2005-07-15  Simon Josefsson <simon@josefsson.org>

	* gl/.cvsignore: [no log message]

2005-06-24  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-bakleh-reg-adm-acg-apu-01.txt: Add.

2005-06-24  Simon Josefsson <simon@josefsson.org>

	* m4/ax_create_stdint_h.m4: Use 'sed 1q' instead of 'head -n 1',
	more portable.

2005-06-24  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Add 2005 to man page copyrights.

2005-06-24  Simon Josefsson <simon@josefsson.org>

	* m4/ax_create_stdint_h.m4: Fix head usage (really!!).

2005-06-24  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Fix license.

2005-06-24  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2005-06-24  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-06-24  Simon Josefsson <simon@josefsson.org>

	* m4/ax_create_stdint_h.m4: Fix use of head.

2005-06-24  Simon Josefsson <simon@josefsson.org>

	* m4/ax_create_stdint_h.m4: New upstream release.

2005-06-14  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/pl.po,
	po/ro.po, po/sr.po, po/vi.po: Sync with TP.

2005-06-14  Simon Josefsson <simon@josefsson.org>

	* contrib/doxygen/gdoc2doxygen: Fix address in license.

2005-06-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2005-06-12  Simon Josefsson <simon@josefsson.org>

	* THANKS: fix

2005-06-12  Simon Josefsson <simon@josefsson.org>

	* m4/ax_create_stdint_h.m4: Turn 'head -1' into 'head -n -1', tiny
	patch from Carsten Lohrke <current@myrealbox.com>.

2005-06-05  Simon Josefsson <simon@josefsson.org>

	* NEWS, po/nl.po: Add.

2005-05-26  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: 0.5.17.

2005-05-26  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2005-05-26  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/rw.po, po/sr.po, po/sv.po, po/vi.po,
	po/zh_CN.po: Generated.

2005-05-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.17.

2005-05-26  Simon Josefsson <simon@josefsson.org>

	* doc/lgpl.texi: Fix sectioning.

2005-05-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2005-05-26  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/dummy.c, gl/gettext.h, gl/m4/getopt.m4,
	gl/m4/gettext.m4, gl/m4/glibc2.m4, gl/m4/gnulib.m4,
	gl/m4/intdiv0.m4, gl/m4/intmax.m4, gl/m4/inttypes-pri.m4,
	gl/m4/inttypes.m4, gl/m4/isc-posix.m4, gl/m4/lcmessage.m4,
	gl/m4/lib-link.m4, gl/m4/lib-prefix.m4, gl/m4/nls.m4, gl/m4/po.m4,
	gl/m4/printf-posix.m4, gl/m4/progtest.m4, gl/m4/strdup.m4: Sync with
	gnulib.

2005-05-26  Simon Josefsson <simon@josefsson.org>

	* AUTHORS, COPYING, COPYING.LIB, FAQ, Makefile.am, README, TODO,
	configure.ac, contrib/README, contrib/java/Makefile.am,
	doc/Makefile.am, doc/Makefile.gdoci, doc/fdl.texi, doc/gdoc,
	doc/gendocs.sh, doc/gendocs_template, doc/java/Makefile.am,
	doc/lgpl.texi, doc/specifications/Makefile.am, doc/tld/Makefile.am,
	examples/Makefile.am, examples/example.c, examples/example2.c,
	examples/example3.c, examples/example4.c, examples/example5.c,
	gl/dummy.c, gl/error.c, gl/error.h, gl/getopt.c, gl/getopt1.c,
	gl/getopt_.h, gl/getopt_int.h, gl/gettext.h, gl/strdup.c,
	gl/strdup.h, java/Makefile.am,
	java/gnu/inet/encoding/CombiningClass.java,
	java/gnu/inet/encoding/Composition.java,
	java/gnu/inet/encoding/DecompositionKeys.java,
	java/gnu/inet/encoding/DecompositionMappings.java,
	java/gnu/inet/encoding/IDNA.java,
	java/gnu/inet/encoding/IDNAException.java,
	java/gnu/inet/encoding/Makefile.am,
	java/gnu/inet/encoding/NFKC.java,
	java/gnu/inet/encoding/Punycode.java,
	java/gnu/inet/encoding/PunycodeException.java,
	java/gnu/inet/encoding/RFC3454.java,
	java/gnu/inet/encoding/Stringprep.java,
	java/gnu/inet/encoding/StringprepException.java,
	java/misc/GenerateNFKC.java, java/misc/GenerateRFC3454.java,
	java/misc/Makefile.am, java/misc/TestIDNA.java,
	java/misc/TestNFKC.java, lib/Makefile.am,
	lib/gen-stringprep-tables.pl, lib/gen-tld-tables.pl,
	lib/gen-unicode-tables.pl, lib/iconvme.c, lib/iconvme.h,
	lib/idn-free.c, lib/idn-free.h, lib/idna.c, lib/idna.h, lib/nfkc.c,
	lib/pr29.c, lib/pr29.h, lib/profiles.c, lib/punycode.c,
	lib/punycode.h, lib/strerror-idna.c, lib/strerror-pr29.c,
	lib/strerror-punycode.c, lib/strerror-stringprep.c,
	lib/strerror-tld.c, lib/stringprep.c, lib/stringprep.h.in,
	lib/tld.c, lib/tld.h, lib/toutf8.c, lib/version.c, libc/example.c,
	libidn.pc.in, src/Makefile.am, src/idn.c, src/idn.ggo, src/idna.el,
	src/punycode.el, tests/Makefile.am, tests/tst_idna.c,
	tests/tst_idna2.c, tests/tst_nfkc.c, tests/tst_pr29.c,
	tests/tst_punycode.c, tests/tst_strerror.c, tests/tst_stringprep.c,
	tests/tst_tld.c, tests/utils.c, tests/utils.h: Update FSF address in
	license.  Fix copyrights.

2005-05-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-05-18  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-klensin-reg-guidelines-08.txt: Add.

2005-05-12  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/rw.po, po/sr.po, po/zh_CN.po: Sync with TP.

2005-05-10  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2005-05-08  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2005-05-08  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: 0.5.16.

2005-05-06  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2005-05-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.16.

2005-05-06  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/rw.po, po/sr.po, po/sv.po, po/zh_CN.po: Sync with TP.

2005-05-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-05-05  Simon Josefsson <simon@josefsson.org>

	* lib/pr29.c: Use 'const' for static data, tiny patch from Joe Orton
	<jorton@redhat.com>.

2005-04-16  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po: Sync with TP.

2005-04-15  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2005-04-15  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-04-15  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/sr.po, po/vi.po: Sync with TP.

2005-04-06  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/rw.po, po/zh_CN.po: Sync with TP.

2005-03-19  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2005-03-19  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/sr.po, po/sv.po, po/vi.po, po/zh_CN.po: 
	Generated.

2005-03-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.15.

2005-03-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2005-03-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-03-19  Simon Josefsson <simon@josefsson.org>

	* lib/iconvme.c: Sync with libc; fix license and fix arithmetic
	overflow.

2005-03-19  Simon Josefsson <simon@josefsson.org>

	* lib/iconvme.h: Fix license.

2005-03-19  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2005-03-19  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2005-03-19  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/sr.po, po/sv.po, po/vi.po, po/zh_CN.po: 
	Generated.

2005-03-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.14.

2005-03-19  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Ramblings.

2005-03-19  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/sr.po, po/sv.po, po/vi.po: Sync with TP.

2005-03-12  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS, po/LINGUAS, po/zh_CN.po: Add.

2005-03-01  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/rfc4013.txt: Add.

2005-02-27  Simon Josefsson <simon@josefsson.org>

	* lib/idn-free.c: Include the specification first, to verify it is
	standalone. Doc fix.

2005-02-24  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-ietf-ldapbis-dn-16.txt: Add.

2005-02-16  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2005-02-16  Simon Josefsson <simon@josefsson.org>

	* THANKS: Reorder chronologically.

2005-02-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-02-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-02-11  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-ietf-ldapbis-strprep-05.txt: Add.

2005-02-07  Simon Josefsson <simon@josefsson.org>

	* THANKS: Sort (should be sorted chronologically..).

2005-02-07  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2005-02-07  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS, po/LINGUAS, po/vi.po: Add.

2005-01-30  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Fix last commit, reported by Linus Nordberg
	<linus@nordberg.se>.

2005-01-29  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Fix srcdir != objdir when bootstrapping from CVS,
	patch from Linus Nordberg <linus@nordberg.se> (tiny change).

2005-01-29  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Fix.

2005-01-29  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Remove hack, fixed in gtk-doc CVS.

2005-01-29  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: 0.5.13.

2005-01-29  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2005-01-29  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/it.po, po/nl.po,
	po/pl.po, po/ro.po, po/sr.po, po/sv.po: Generated.

2005-01-29  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.13.

2005-01-29  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/dummy.c, gl/m4/gnulib.m4: Update.

2005-01-29  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Need dummy gnulib module again.

2005-01-28  Simon Josefsson <simon@josefsson.org>

	* lib/iconvme.c, lib/iconvme.h: Add.

2005-01-28  Simon Josefsson <simon@josefsson.org>

	* configure.ac, gl/Makefile.am, gl/iconvme.c, gl/iconvme.h,
	gl/m4/gnulib.m4, gl/m4/iconvme.m4, lib/Makefile.am: Move iconvme to
	lib, since linking gnulib in lib doesn't work due to program_name
	symbol.

2005-01-28  Simon Josefsson <simon@josefsson.org>

	* gl/m4/codeset.m4, gl/m4/error.m4, gl/m4/getopt.m4,
	gl/m4/glibc21.m4, gl/m4/iconv.m4, gl/m4/inttypes_h.m4,
	gl/m4/lib-ld.m4, gl/m4/lib-link.m4, gl/m4/lib-prefix.m4,
	gl/m4/longdouble.m4, gl/m4/longlong.m4, gl/m4/signed.m4,
	gl/m4/size_max.m4, gl/m4/stdint_h.m4, gl/m4/strdup.m4,
	gl/m4/strerror_r.m4, gl/m4/uintmax_t.m4, gl/m4/ulonglong.m4,
	gl/m4/wchar_t.m4, gl/m4/wint_t.m4, gl/m4/xsize.m4: Update.

2005-01-28  Simon Josefsson <simon@josefsson.org>

	* NEWS: Typo.

2005-01-27  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2005-01-27  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add, reported by Simon Walter
	<simon@nethinks.com>.

2005-01-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-01-17  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Sync with TP.

2005-01-17  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Remove.

2005-01-17  Simon Josefsson <simon@josefsson.org>

	* java/gnu/inet/encoding/Makefile.am, java/misc/Makefile.am: Define
	JAVAROOT unconditionally, because automake barf otherwise.

2005-01-16  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Add.

2005-01-16  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Add.

2005-01-16  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2005-01-16  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Mention gettext requirement, suggested by Linus
	Nordberg <linus@nordberg.se>.

2005-01-05  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Warn strongly about missing iconv.

2005-01-05  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/dummy.c, gl/m4/gnulib.m4: Update.

2005-01-05  Simon Josefsson <simon@josefsson.org>

	* configure.ac: No need to use dummy gnulib module, no system has
	iconvme.

2005-01-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-01-05  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Link with gnulib (only LGPL files).

2005-01-05  Simon Josefsson <simon@josefsson.org>

	* lib/toutf8.c: Use iconv_string from gnulib.

2005-01-05  Simon Josefsson <simon@josefsson.org>

	* configure.ac, gl/Makefile.am, gl/iconvme.c, gl/iconvme.h,
	gl/m4/gnulib.m4, gl/m4/iconvme.m4: Add iconvme from gnulib.

2005-01-02  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Add copyright for year 2005.

2005-01-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2005-01-02  Simon Josefsson <simon@josefsson.org>

	* po/sv.po: Update.

2005-01-01  Simon Josefsson <simon@josefsson.org>

	* gl/error.c: Update.

2005-01-01  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2005-01-01  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS, po/LINGUAS, po/it.po: Add.

2004-12-04  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Add.

2004-12-04  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-12-04  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-12-04  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.12.

2004-12-04  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-12-04  Simon Josefsson <simon@josefsson.org>

	* gl/getopt_.h, gl/m4/getopt.m4: Update.

2004-12-01  Simon Josefsson <simon@josefsson.org>

	* java/gnu/inet/encoding/Stringprep.java: Doc fix, from Oliver Hitz
	<oliver@net-track.ch>.

2004-11-30  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-bartosiewicz-idn-pltld-08.txt: Add.

2004-11-29  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: More PR29.

2004-11-23  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2004-11-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-11-22  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2004-11-22  Simon Josefsson <simon@josefsson.org>

	* java/gnu/inet/encoding/Stringprep.java: Fixed two bugs:
	allowUnassigned not respected properly, buggy prohibited code points
	check. Argument checks added. RFC3920 nodeprep and resourceprep
	added, suggested by Matt Tucker. Convenience methods with
	allowUnassigned set to false added. From Oliver Hitz
	<oliver@net-track.ch>.

2004-11-22  Simon Josefsson <simon@josefsson.org>

	* java/gnu/inet/encoding/RFC3454.java,
	java/misc/GenerateRFC3454.java: Add table C.1.1 and C.2.1, from
	Oliver Hitz <oliver@net-track.ch>.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Make sure all man pages follow 'foo -- purpose of foo'
	format, even if there is no purpose description available, from
	Shishi.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Add.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Sync with TP.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.11.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Add 'DO NOT MODIFY' warning to generated man pages.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: Doc fix.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* lib/nfkc.c, lib/strerror-punycode.c: Doc fix.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c, lib/pr29.c, lib/strerror-idna.c, lib/strerror-pr29.c,
	lib/strerror-stringprep.c, lib/strerror-tld.c, lib/stringprep.c,
	lib/tld.c, lib/toutf8.c, lib/version.c: Doc fix.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: For man pages, don't use line breaking formatting codes
	("\n.I foo\n") but rather inline commands ("\fIfoo\fP").

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.c: Doc fix.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Skip leading whitespace in function purpose. Print
	function purpose in man pages, if available.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-11-21  Simon Josefsson <simon@josefsson.org>

	* gl/getopt.c, gl/getopt1.c, gl/getopt_.h, gl/getopt_int.h,
	gl/m4/getopt.m4: Update.

2004-11-18  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-ekrema-smldn-00.txt: Add.

2004-11-17  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-klensin-reg-guidelines-05.txt: Add.

2004-11-16  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-11-09  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/Description.txt,
	doc/specifications/IDNConnect-testbed.tgz,
	doc/specifications/IDNConnect.html,
	doc/specifications/JDNA_logo.jpg, doc/specifications/testbed.html: 
	Add.

2004-11-09  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/pr-29.html: Update.

2004-11-08  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Fix.

2004-11-08  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-11-08  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-11-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.10.

2004-11-08  Simon Josefsson <simon@josefsson.org>

	* tests/tst_pr29.c: No need for stringprep.h.

2004-11-08  Simon Josefsson <simon@josefsson.org>

	* examples/example2.c, libc/example.c, tests/tst_idna.c,
	tests/tst_idna2.c, tests/tst_nfkc.c, tests/tst_punycode.c,
	tests/tst_stringprep.c: Cosmetic fix.

2004-11-08  Simon Josefsson <simon@josefsson.org>

	* tests/utils.c: Typo.

2004-11-08  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Sync with TP.

2004-11-08  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Simplify EXTRA_DIST.

2004-11-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-11-08  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Use Libtool's -export-symbols-regex.

2004-11-08  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-klensin-reg-guidelines-04.txt,
	doc/specifications/draft-xdlee-idn-cdnadmin-02.txt: Add.

2004-11-08  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c, lib/nfkc.c, lib/profiles.c, lib/punycode.c,
	lib/toutf8.c, lib/version.c: Cosmetic fix.

2004-11-08  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Add copyright header for me.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Add.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Fix.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* FAQ: Add.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Update PGP key.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-ietf-sasl-anon-04.txt: Add.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po: Generated.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix release target.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.9.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* po/sv.po: Sync with TP.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* doc/reference/.cvsignore: [no log message]

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am, doc/reference/libidn.types: Simplify.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Fix SUBDIRS order, because GTK-DOC need
	components.png.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* autogen.sh: Fix.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* autogen.sh: Fix.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-11-07  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh, doc/gendocs_template: Update.

2004-10-28  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Support -include, from GnuTLS.

2004-10-27  Simon Josefsson <simon@josefsson.org>

	* lib/profiles.c: Doc fix.

2004-10-25  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Fix man output.

2004-10-25  Simon Josefsson <simon@josefsson.org>

	* lib/strerror-stringprep.c, lib/stringprep.c, lib/tld.c: Doc fix.

2004-10-25  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c, lib/pr29.c, lib/punycode.c, lib/strerror-idna.c,
	lib/strerror-pr29.c, lib/strerror-punycode.c, lib/tld.c: Doc fix.

2004-10-25  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Use @code, not @var, for constants in texinfo output.
	Fix newlines in man output.

2004-10-25  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Use # instead of & for types.

2004-10-25  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am, doc/reference/libidn-docs.sgml: Add
	image.

2004-10-25  Simon Josefsson <simon@josefsson.org>

	* autogen.sh: Run gtkdocize.

2004-10-25  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/sv.po: Sync with TP.

2004-10-25  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: (update-po): Fix.

2004-10-25  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/pr-29-figure1.gif: Add.

2004-10-24  Simon Josefsson <simon@josefsson.org>

	* doc/reference/libidn.types: Fix.

2004-10-24  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-10-24  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: (DISTCHECK_CONFIGURE_FLAGS): Add --enable-gtk-doc.

2004-10-24  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/reference/Makefile.am, doc/reference/libidn-docs.sgml,
	doc/reference/libidn-docs.tmpl: Align GTK-DOC build infrastructure
	with GTK-DOC official recommendations.

2004-10-24  Simon Josefsson <simon@josefsson.org>

	* doc/reference/.cvsignore: [no log message]

2004-10-24  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/ro.po,
	po/sr.po: Sync with TP.

2004-10-15  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/getopt.m4: Update.

2004-10-15  Simon Josefsson <simon@josefsson.org>

	* po/pl.po: Sync with TP.

2004-10-13  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Update.

2004-10-13  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Update.

2004-10-12  Simon Josefsson <simon@josefsson.org>

	* README: Fix.

2004-10-12  Simon Josefsson <simon@josefsson.org>

	* README: Fix.

2004-10-12  Simon Josefsson <simon@josefsson.org>

	* README: Improve readability.

2004-10-12  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-10-12  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-10-12  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-10-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.8.

2004-10-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-10-12  Simon Josefsson <simon@josefsson.org>

	* lib/gen-unicode-tables.pl: Add coment to generated files to say
	that they are generated, reported by "Gisle Vanem" <giva@bgnett.no>.


2004-10-12  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/Makefile.am: Distribute
	BidiMirroring-3.2.0.txt, reported by "Gisle Vanem" <giva@bgnett.no>.


2004-10-12  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-10-12  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-10-12  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-10-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.7.

2004-10-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-10-11  Simon Josefsson <simon@josefsson.org>

	* po/fr.po: Generated.

2004-10-11  Simon Josefsson <simon@josefsson.org>

	* po/fr.po: Sync with TP.

2004-10-05  Simon Josefsson <simon@josefsson.org>

	* gl/error.c: Update Gnulib.

2004-10-04  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-10-04  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Use EXIT_SUCCESS and EXIT_FAILURE.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Update PGP key.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.6.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* examples/example.c, examples/example3.c, examples/example4.c,
	examples/example5.c: Use *strerror.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, examples/Makefile.am: Fix indent.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* NEWS, libidn.fms: Fix.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Reorder.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Don't link with gnulib.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* lib/toutf8.c: Revert, don't use strdup.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* lib/strerror-idna.c: Simplify translation strings.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Typo.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* lib/idna.h, lib/pr29.c, lib/pr29.h, lib/profiles.c, lib/toutf8.c,
	src/idn.c, tests/tst_pr29.c, tests/tst_stringprep.c: Indent.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Use error.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* configure.ac, gl/Makefile.am, gl/error.c, gl/error.h,
	gl/m4/error.m4, gl/m4/gnulib.m4, gl/m4/strerror_r.m4: Add error from
	gnulib (slightly modified to avoid unlocked-io.h).

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am, tests/tst_strerror.c: Add.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* tests/.cvsignore: [no log message]

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: (DEFS): Add LOCALEDIR.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* lib/strerror-idna.c, lib/strerror-pr29.c,
	lib/strerror-punycode.c, lib/strerror-stringprep.c,
	lib/strerror-tld.c: Setup gettext properly.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* po/POTFILES.in: Add.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Fix.

2004-10-02  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/Makefile.am, doc/libidn.texi, lib/Makefile.am,
	lib/idna.h, lib/pr29.h, lib/punycode.h, lib/strerror-idna.c,
	lib/strerror-pr29.c, lib/strerror-punycode.c,
	lib/strerror-stringprep.c, lib/strerror-tld.c, lib/stringprep.h.in,
	lib/tld.c, lib/tld.h, src/idn.c: Add idna_strerror, pr29_strerror,
	punycode_strerror, stringprep_strerror, and tld_strerror, suggested
	by Daniel Stenberg <daniel@haxx.se>. Make idn.c use them. Rename
	TLD_NOTLD to TLD_NO_TLD.

2004-09-29  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/dummy.c, gl/m4/gnulib.m4: Update.

2004-09-28  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/m4/gnulib.m4: Update.

2004-09-28  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am, gl/dummy.c, gl/getopt.c, gl/getopt1.c,
	gl/getopt_.h, gl/getopt_int.h, gl/gettext.h, gl/m4/codeset.m4,
	gl/m4/gettext.m4, gl/m4/glibc21.m4, gl/m4/gnulib.m4,
	gl/m4/iconv.m4, gl/m4/intdiv0.m4, gl/m4/intmax.m4,
	gl/m4/inttypes-pri.m4, gl/m4/inttypes.m4, gl/m4/inttypes_h.m4,
	gl/m4/isc-posix.m4, gl/m4/lcmessage.m4, gl/m4/lib-ld.m4,
	gl/m4/lib-link.m4, gl/m4/lib-prefix.m4, gl/m4/longdouble.m4,
	gl/m4/longlong.m4, gl/m4/nls.m4, gl/m4/po.m4,
	gl/m4/printf-posix.m4, gl/m4/progtest.m4, gl/m4/signed.m4,
	gl/m4/size_max.m4, gl/m4/stdint_h.m4, gl/m4/strdup.m4,
	gl/m4/uintmax_t.m4, gl/m4/ulonglong.m4, gl/m4/wchar_t.m4,
	gl/m4/wint_t.m4, gl/m4/xsize.m4, gl/strdup.c, gl/strdup.h,
	src/gettext.h: Use new GNULib.

2004-09-28  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Specify gl_LGPL for new gnulib-tool.

2004-09-26  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2004-09-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, NEWS, configure.ac, gl/.cvsignore, gl/Makefile.am,
	gl/dummy.c, gl/getopt.c, gl/getopt1.c, gl/getopt_.h,
	gl/getopt_int.h, gl/m4/getopt.m4, gl/m4/gnulib.m4,
	gl/m4/onceonly_2_57.m4, gl/m4/strdup.m4, gl/strdup.c, gl/strdup.h,
	lib/Makefile.am, lib/toutf8.c, src/Makefile.am, src/getopt.c,
	src/getopt1.c, src/getopt_.h, src/getopt_int.h, tests/Makefile.am: 
	Use Lesser GNULib.

2004-09-21  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-bakleh-reg-adm-acg-apu-00.txt: Add.

2004-09-13  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Add.

2004-09-13  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-09-13  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Clean more.

2004-09-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.5.

2004-09-13  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-09-13  Simon Josefsson <simon@josefsson.org>

	* doc/reference/.cvsignore: [no log message]

2004-09-13  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: (POURL): Fix.

2004-09-13  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Sync with TP.

2004-09-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-09-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-09-05  Simon Josefsson <simon@josefsson.org>

	* lib/nfkc.c: (g_utf8_skip): Hide variable, using "static".

2004-09-02  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Move. Fix ack.

2004-08-25  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-farah-adntf-adns-guidelines-00.txt: Add.


2004-08-23  Simon Josefsson <simon@josefsson.org>

	* m4/autobuild.m4: Update.

2004-08-18  Simon Josefsson <simon@josefsson.org>

	* README: Fix.

2004-08-18  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2004-08-17  Simon Josefsson <simon@josefsson.org>

	* README: Add.

2004-08-17  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump version.

2004-08-10  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Shut up 'uno' by fixing array boundary.

2004-08-08  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Fix.

2004-08-08  Simon Josefsson <simon@josefsson.org>

	* libidn.fms: Add.

2004-08-07  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-08-07  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-08-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.4.

2004-08-06  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS: Sync with TP.

2004-08-06  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix.

2004-08-06  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix.

2004-08-06  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix.

2004-08-06  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: (update-po): Add.

2004-08-06  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/fr.po, po/nl.po, po/pl.po, po/ro.po,
	po/sr.po: Sync with TP.

2004-08-05  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump version.

2004-08-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-08-05  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po: Update.

2004-08-05  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-08-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.3.

2004-08-05  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-08-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-08-05  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2004-08-05  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Fix crash, tiny patch by Andreas Schwab reported by
	Stephan Kulow <coolo@suse.de>.

2004-08-01  Simon Josefsson <simon@josefsson.org>

	* lib/pr29.c: Use PR29_* error mnemonics, instead of hard coded
	integers.

2004-08-01  Simon Josefsson <simon@josefsson.org>

	* lib/pr29.c: Cosmetic fix.

2004-07-29  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/COPYING.UCD: Add.

2004-07-29  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/COPYING.UCD: Update.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh, doc/gendocs_template: Update.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* NEWS: Bump version.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.2.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump version.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2004-07-14  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: (install-jar): Make DESTDIR compatible, patch from Oliver Hitz
	<oliver@net-track.ch> based on report by Benjamin Reed
	<ranger@befunk.com>.

2004-07-13  Simon Josefsson <simon@josefsson.org>

	* libc/example.c: Doc fix.

2004-07-13  Simon Josefsson <simon@josefsson.org>

	* libc/example.c: Use setlocale, reported by Robert Scheck
	<libidn@robert-scheck.de>.

2004-07-13  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-hoffman-pkix-stringmatch-00.txt: Add.

2004-07-09  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2004-07-09  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Mention pr29.h.

2004-07-09  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-07-09  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-07-09  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.1.

2004-07-09  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Use autobuild.

2004-07-09  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS, m4/autobuild.m4: Add.

2004-07-09  Simon Josefsson <simon@josefsson.org>

	* examples/example.c, examples/example2.c, examples/example3.c,
	examples/example4.c: Call setlocale to make iconv work, reported by
	Robert Scheck <libidn@robert-scheck.de>.

2004-07-02  Simon Josefsson <simon@josefsson.org>

	* configure.ac, src/getopt.c, src/getopt1.c: Update getopt.

2004-07-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-07-02  Simon Josefsson <simon@josefsson.org>

	* .cvsignore, tests/.cvsignore: [no log message]

2004-07-02  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2004-07-02  Simon Josefsson <simon@josefsson.org>

	* examples/.cvsignore, src/.cvsignore: [no log message]

2004-07-02  Simon Josefsson <simon@josefsson.org>

	* src/.cvsignore: [no log message]

2004-07-02  Simon Josefsson <simon@josefsson.org>

	* src/getopt_int.h: Add.

2004-07-02  Simon Josefsson <simon@josefsson.org>

	* configure.ac, src/Makefile.am, src/getopt.c, src/getopt.h,
	src/getopt1.c, src/getopt_.h: Update getopt module.  Now work on,
	e.g., uClibc systems which uses GNU Libc header files, but do not
	implement getopt_long.

2004-06-29  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2004-06-29  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/eo.po, po/fr.po, po/nl.po, po/pl.po,
	po/ro.po, po/sr.po, po/sv.po: Generated.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.5.0.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* doc/reference/.cvsignore: [no log message]

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* lib/pr29.c: Fix.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Fix.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: (HTML_OBJECTS): Add libidn-pr29.html.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* doc/reference/libidn-docs.tmpl: Add PR29.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* doc/reference/.cvsignore: [no log message]

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* lib/pr29.c: Add doc.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Don't use wildcards for GDOC_SRC.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* lib/pr29.c: Use 'static'.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* lib/pr29.h: Typo.

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* tests/.cvsignore: [no log message]

2004-06-26  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/libidn.texi, lib/Makefile.am, lib/pr29.c, lib/pr29.h,
	tests/Makefile.am, tests/tst_pr29.c: Add PR29 functions.

2004-06-25  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/HangulSyllableType-4.0.1.txt: Add.

2004-06-25  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/DerivedCombiningClass-3.2.0.txt: Add.

2004-06-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-06-12  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/eo.po: Add Esperanto translation, from Edmund
	GRIMLEY EVANS <edmundo@rano.org>, via the translation project.

2004-06-11  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-06-11  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix release target.

2004-06-11  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-06-11  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/fr.po, po/nl.po, po/pl.po, po/ro.po,
	po/sr.po, po/sv.po: Generated.

2004-06-11  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.9.

2004-06-11  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: Work around automake limitation (cannot have
	instal-data-local target in a conditional).

2004-06-09  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-ietf-ldapbis-dn-14.txt,
	doc/specifications/draft-ietf-ldapbis-strprep-04.txt: Add.

2004-06-08  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Cosmetic fix, sync with libc.

2004-06-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-06-07  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: Create libidn.jar link.

2004-06-06  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-bakke-iscsi-stringprep-00.txt,
	doc/specifications/draft-hoffman-stringprep-00.txt,
	doc/specifications/draft-hoffman-stringprep-01.txt,
	doc/specifications/draft-hoffman-stringprep-02.txt,
	doc/specifications/draft-hoffman-stringprep-03.txt,
	doc/specifications/draft-hoffman-stringprep-04.txt,
	doc/specifications/draft-hoffman-stringprep-05.txt,
	doc/specifications/draft-hoffman-stringprep-06.txt,
	doc/specifications/draft-hoffman-stringprep-07.txt,
	doc/specifications/draft-ietf-idn-nameprep-00.txt,
	doc/specifications/draft-ietf-idn-nameprep-01.txt,
	doc/specifications/draft-ietf-idn-nameprep-02.txt,
	doc/specifications/draft-ietf-idn-nameprep-03.txt,
	doc/specifications/draft-ietf-idn-nameprep-04.txt,
	doc/specifications/draft-ietf-idn-nameprep-05.txt,
	doc/specifications/draft-ietf-idn-nameprep-06.txt,
	doc/specifications/draft-ietf-idn-nameprep-07.txt,
	doc/specifications/draft-ietf-idn-nameprep-08.txt,
	doc/specifications/draft-ietf-idn-nameprep-09.txt,
	doc/specifications/draft-ietf-idn-nameprep-10.txt,
	doc/specifications/draft-ietf-idn-nameprep-11.txt,
	doc/specifications/draft-ietf-ips-iscsi-string-prep-00.txt,
	doc/specifications/draft-ietf-ips-iscsi-string-prep-01.txt,
	doc/specifications/draft-ietf-ips-iscsi-string-prep-02.txt,
	doc/specifications/draft-ietf-ips-iscsi-string-prep-03.txt,
	doc/specifications/draft-ietf-ldapbis-strprep-03.txt,
	doc/specifications/draft-ietf-xmpp-core-18.txt,
	doc/specifications/draft-ietf-xmpp-core-19.txt,
	doc/specifications/draft-ietf-xmpp-core-20.txt,
	doc/specifications/draft-ietf-xmpp-core-21.txt,
	doc/specifications/draft-ietf-xmpp-core-22.txt,
	doc/specifications/draft-ietf-xmpp-core-23.txt,
	doc/specifications/draft-ietf-xmpp-core-24.txt,
	doc/specifications/draft-zeilenga-ldapbis-strmatch-00.txt,
	doc/specifications/draft-zeilenga-ldapbis-strmatch-01.txt: Add.

2004-06-03  Simon Josefsson <simon@josefsson.org>

	* java/.cvsignore: [no log message]

2004-06-03  Simon Josefsson <simon@josefsson.org>

	* java/misc/Makefile.am: Use versioned *.jar.

2004-06-02  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: Versionize *.jar filename.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* doc/java/Makefile.am: Dist HTMLs.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs_template: Add JavaDoc links.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Copy javadoc files.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* doc/java/.cvsignore: [no log message]

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* doc/java/.cvsignore: [no log message]

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* doc/java/Makefile.am: Fix.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: Add javadoc.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: Distribute libidn.jar, suggested by Oliver Hitz.


2004-06-01  Simon Josefsson <simon@josefsson.org>

	* m4/ac_prog_javadoc.m4: Add.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am, doc/java/Makefile.am: Add java/.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Build doc/java/Makefile.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Find javadoc.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/fr.po, po/nl.po, po/pl.po, po/ro.po,
	po/sr.po, po/sv.po: Generated.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.8.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* java/misc/Makefile.am: Don't use GNU make specific 'override',
	from Oliver Hitz.

2004-06-01  Simon Josefsson <simon@josefsson.org>

	* java/gnu/inet/encoding/Makefile.am, java/misc/Makefile.am: Dist
	*.java, suggested by Oliver Hitz.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* README: Fix.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.7.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/fr.po, po/nl.po, po/pl.po, po/ro.po,
	po/sr.po, po/sv.po: Generated.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Markup fix.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: (Java API): Fix.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Markup fixes.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am, java/README.UNICODE, java/README.html: Remove
	(moved to doc/libidn.texi).

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: (Introduction): Mention Java port. (Downloading and Installing):
	Mention --enable-java. (Java API): Add, taken from java/README.html
	and java/README.UNICODE by Oliver Hitz.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: Revert, I don't want to require gcj for CVS
	builds.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: Dist libidn.jar (this seem to be the norm among
	Java libraries?).

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* java/gnu/inet/encoding/.cvsignore, java/misc/.cvsignore: [no log
	message]

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am: Build more.

2004-05-31  Simon Josefsson <simon@josefsson.org>

	* configure.ac, java/Makefile.am, java/README.UNICODE,
	java/README.html, java/gnu/inet/encoding/CombiningClass.java,
	java/gnu/inet/encoding/Composition.java,
	java/gnu/inet/encoding/DecompositionKeys.java,
	java/gnu/inet/encoding/DecompositionMappings.java,
	java/gnu/inet/encoding/IDNA.java,
	java/gnu/inet/encoding/IDNAException.java,
	java/gnu/inet/encoding/Makefile.am,
	java/gnu/inet/encoding/NFKC.java,
	java/gnu/inet/encoding/Punycode.java,
	java/gnu/inet/encoding/PunycodeException.java,
	java/gnu/inet/encoding/RFC3454.java,
	java/gnu/inet/encoding/Stringprep.java,
	java/gnu/inet/encoding/StringprepException.java,
	java/misc/GenerateNFKC.java, java/misc/GenerateRFC3454.java,
	java/misc/Makefile.am, java/misc/TestIDNA.java,
	java/misc/TestNFKC.java: Improve JAVA port, from Oliver Hitz
	<oliver@net-track.ch>.

2004-05-26  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Fixes.

2004-05-25  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Fix.

2004-05-24  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-05-24  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-05-24  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.6.

2004-05-24  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/fr.po, po/nl.po, po/pl.po, po/ro.po,
	po/sr.po, po/sv.po: Generated.

2004-05-24  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-05-24  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: (include_HEADERS): Install idn-free.h, reported by Daniel Stenberg
	<daniel-curl@haxx.se>.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/pr-29.html: Update.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.5.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/fr.po, po/nl.po, po/pl.po, po/ro.po,
	po/sr.po, po/sv.po: Generated.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Bump copyright years on man pages.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump so version.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: (HIGNORE): Add idn-free.h.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: (stringprep): Move declaration of temporary variable to start of
	scope.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: (idna_to_unicode_4z4z): There was no double free, remove my
	modification.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: (idna_to_ascii_4i, idna_to_unicode_4z4z): Fix memory leak when
	memory allocation fails.  From Ulrich Drepper <drepper@redhat.com>,
	but modified to fix double free and incorrect 'if' condition.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: (stringprep): Fix memory leak when memory allocation fails.  From
	Ulrich Drepper <drepper@redhat.com>.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: Doc fix.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: Back port of (some) changes by Ulrich Drepper
	<drepper@redhat.com>. (idna_to_unicode_internal): Fix memory leaks
	when memory allocation fails.  Deallocate utf8in on failure.
	(idna_to_unicode_44i): Don't free, done in idna_to_unicode_internal.
	(idna_to_ascii_4z): Fix memory leak when memory allocation fails.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2004-05-21  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am, lib/idn-free.c, lib/idn-free.h: Add idn_free,
	suggested by "Gisle Vanem" <gvanem@broadpark.no>.

2004-04-30  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-04-30  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: (idna_to_ascii_lz): Doc fix, reported by Joe Orton
	<jorton@redhat.com>.

2004-04-30  Simon Josefsson <simon@josefsson.org>

	* tests/tst_nfkc.c: Add NFKC test vectors from pr-29.html. Fix debug
	output.

2004-04-30  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/pr-29.html: Add.

2004-04-30  Simon Josefsson <simon@josefsson.org>

	* tests/utils.c: Fix ucs4print debugging output.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/specifications/draft-ietf-sasl-saslprep-09.txt: Add.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* tests/tst_stringprep.c: Update SASLPrep test vectors.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.4.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/fr.po, po/nl.po, po/pl.po, po/ro.po,
	po/sr.po, po/sv.po: Generated.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Use -no-install to avoid libtool wrapper
	script, tiny patch from Joe Orton <jorton@redhat.com>.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/stringprep-profiles: Update.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/specifications/rfc3722.txt: Add.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* tests/tst_stringprep.c: Add iSCSI test vectors to catch recent
	bugs.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* lib/profiles.c: (stringprep_iscsi_prohibit): For start==0, use end!=1.

2004-04-29  Simon Josefsson <simon@josefsson.org>

	* lib/profiles.c: (stringprep_iscsi): Add C_1_1, C_2_1, and C_7 (after reading newly
	published RFC 3722).

2004-04-24  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2004-04-24  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/ro.po: Add, by Laurentiu Buzdugan <lbuz@rolix.org>
	via translation project.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* lib/toutf8.c: Rename variable to avoid silly shadowing warnings.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* tests/.cvsignore: [no log message]

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Move utils.c and utils.h into a separate
	library.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* tests/.cvsignore: [no log message]

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am, tests/tst_idna.c, tests/tst_idna2.c,
	tests/tst_nfkc.c, tests/tst_punycode.c, tests/tst_stringprep.c,
	tests/tst_tld.c, tests/utils.c, tests/utils.h: Split out common
	stuff into utils.c and utils.h.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* tests/tst_nfkc.c: Fix warnings.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Require modern autoconf.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* lib/toutf8.c: Indent.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/de.po, po/fr.po, po/nl.po, po/pl.po, po/sr.po,
	po/sv.po: Generated.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.3.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h: (Tld_table): Mark "name" and "version" as const.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* tests/tst_stringprep.c: Add SASLprep test vectors (would catch the
	C.2.1 bug).

2004-04-22  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: (stringprep_find_character_in_table): Fix end-of-table test, to
	handle valid uses of start=0 (as in table C.2.1).

2004-04-21  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Update PGP key.

2004-04-18  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2004-04-18  Simon Josefsson <simon@josefsson.org>

	* libidn.pc.in: Drop -R lib flag, suggested by Martin Waitz
	<tali@debian.org>.

2004-04-15  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-costello-rfc3492bis-02.txt: Add.

2004-04-15  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/rfc3743.txt: Add.

2004-04-14  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-hoffman-rfc3454bis-02.txt,
	doc/specifications/draft-hoffman-rfc3490bis-02.txt,
	doc/specifications/draft-hoffman-rfc3491bis-01.txt: Add.

2004-04-12  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-ietf-sasl-saslprep-08.txt: Add.

2004-04-11  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Fix versions.

2004-04-09  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2004-04-09  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/nl.po: Add, from Elros Cyriatan
	<cyriatan@fastmail.fm> via Translation Project.

2004-04-05  Simon Josefsson <simon@josefsson.org>

	* contrib/idn-python/idn.c: Use new API, tiny patch from "Gisle
	Vanem" <giva@bgnett.no>.

2004-03-28  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2004-03-28  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/de.po: Add German translation, from Roland Illig
	<roland.illig@gmx.de> via translation project.

2004-03-23  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-ietf-sasl-saslprep-07.txt: Add.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.gdoci: Use TAB instead of \t, suggested by Jørgen
	Thomsen <jth@jth.net>.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* po/da.po, po/fr.po, po/pl.po, po/sr.po, po/sv.po: Generated.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.2.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Inform about Java.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* libc/getaddrinfo-idn.txt: Update.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, libc/Banner, libc/Makefile, libc/README,
	libc/Versions, libc/configure, libc/getaddrinfo.c, libc/idn-stub.c,
	libc/libc.patch, libc/libidn.texi, libc/netdb.h: Remove most of libc
	stuff (has been integrated in libc CVS).

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* README, java/Makefile.am: Fix.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* COPYING: Add.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/libidn.texi: Fix.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* AUTHORS, THANKS: Add.

2004-03-20  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2004-03-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-03-19  Simon Josefsson <simon@josefsson.org>

	* java/Makefile.am, java/gnu/inet/encoding/Makefile.am,
	java/gnu/inet/encoding/Punycode.java,
	java/gnu/inet/encoding/PunycodeException.java: Fix.

2004-03-19  Simon Josefsson <simon@josefsson.org>

	* m4/ac_prog_jar.m4, m4/ac_prog_javac.m4, m4/ac_prog_javac_works.m4: 
	Add, from GNU Autoconf Macro Archive.

2004-03-19  Simon Josefsson <simon@josefsson.org>

	* java/gnu/inet/encoding/.cvsignore: [no log message]

2004-03-19  Simon Josefsson <simon@josefsson.org>

	* java/gnu/inet/encoding/PunycodeException.java: Add, from Oliver
	Hitz <oliver@net-track.ch>.

2004-03-19  Simon Josefsson <simon@josefsson.org>

	* java/gnu/inet/encoding/Makefile.am: (noinst_JAVA): Only include Punycode*.java for now.

2004-03-19  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.ac, java/Makefile.am,
	java/gnu/Makefile.am, java/gnu/inet/Makefile.am,
	java/gnu/inet/encoding/Makefile.am,
	java/gnu/inet/encoding/Punycode.java: Add infrastructure for Java
	code, and add Punycode, from Oliver Hitz <oliver@net-track.ch>.

2004-03-19  Simon Josefsson <simon@josefsson.org>

	* java/.cvsignore, java/gnu/.cvsignore, java/gnu/inet/.cvsignore,
	java/gnu/inet/encoding/.cvsignore, m4/.cvsignore: [no log message]

2004-03-16  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-03-16  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2004-03-16  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/da.po: Add, from Morten Bo Johansen
	<mojo@mbjnet.dk> via Translation Project.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* po/pl.po: Update.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* po/.cvsignore: [no log message]

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS: Add.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* THANKS: Fix.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* THANKS, doc/libidn.texi: Ack Unicode, Inc.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/Makefile.am: Dist COPYING.UCD.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/COPYING.UCD: Add.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/fr.po: Add, from Michel Robitaille
	<robitail@IRO.UMontreal.CA> via Translation Project.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2004-03-14  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/sr.po: Add, from Aleksandar Jelenak
	<jelenak@netlinkplus.net> via Translation Project.

2004-03-13  Simon Josefsson <simon@josefsson.org>

	* doc/tld/no.tld: Add URLs.

2004-03-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-03-13  Simon Josefsson <simon@josefsson.org>

	* doc/tld/Makefile.am: Add no.tld.

2004-03-13  Simon Josefsson <simon@josefsson.org>

	* doc/tld/no.tld: Add, from Thomas Jacob <jacob@internet24.de>.

2004-03-13  Simon Josefsson <simon@josefsson.org>

	* po/sv.po: Fix.

2004-03-13  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi, src/idn.ggo: Add.

2004-03-10  Simon Josefsson <simon@josefsson.org>

	* THANKS: Fix.

2004-03-10  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2004-03-10  Simon Josefsson <simon@josefsson.org>

	* po/LINGUAS, po/pl.po: Add Polish translation, from Jakub Bogusz
	<qboosh@pld-linux.org>.

2004-03-10  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-ietf-sasl-saslprep-06.txt: Add.

2004-03-09  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Build lib/ before po/.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* po/sv.po: Generated.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.1.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* tests/tst_tld.c: Fix warning.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* po/sv.po: Generated.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: (idn_LDADD): Add LTLIBINTL.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* po/sv.po: Generated.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* po/sv.po: Fix.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Cosmetic fix.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* po/sv.po: Add.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Translation markup.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* po/.cvsignore: [no log message]

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* po/.cvsignore: [no log message]

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* po/sv.po: Fix.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Gettextiscate.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* po/sv.po: Add.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* .cvsignore, m4/.cvsignore, po/.cvsignore: [no log message]

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am, src/gettext.h: Add gettext.h. Define LOCALEDIR
	(for gettext).

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* po/Makevars: Add.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* .cvsignore, m4/.cvsignore, po/.cvsignore: [no log message]

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* config.rpath, m4/lib-ld.m4, m4/lib-prefix.m4: Remove, added by
	gettextize.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.ac, po/LINGUAS, po/POTFILES.in: 
	Gettextiscate.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix IDNA_DLOPEN_ERROR.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/toutf8.c: (stringprep_convert): Don't copy input.  Check for malloc failures.
	From Ulrich Drepper <drepper@redhat.com>, via libidn integration in
	libc.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Invoke setlocale (LC_ALL, "").

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/toutf8.c: (stringprep_locale_charset_slow): Remove.
	(stringprep_locale_charset) [_LIBC]: Define to nl_langinfo(CODESET).
	(stringprep_locale_charset) [!_LIBC]: Don't cache charset.  Remove
	broken setlocale hack.  All based on discussion with Ulrich Drepper
	<drepper@redhat.com>, during libidn integration in libc.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: (Idna_rc): Doc fix IDNA_DLOPEN_ERROR.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/nfkc.c: Fix warning, tiny patch by Ulrich Drepper
	<drepper@redhat.com> from libidn integration in libc.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/idna.h: (Idna_rc): Add IDNA_DLOPEN_ERROR error code, for libidn part of
	libc.

2004-03-08  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.h.in: (Stringprep_profiles): Mark 'name' as 'const'.  Tiny patch to libidn
	in libc by Ulrich Drepper <drepper@redhat.com>.

2004-03-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-03-07  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Dist libc/idn-stub.c and libc/libidn.texi.

2004-03-07  Simon Josefsson <simon@josefsson.org>

	* libc/libc.patch: Update, from libc-alpha post.

2004-03-07  Simon Josefsson <simon@josefsson.org>

	* libc/idn-stub.c, libc/libidn.texi: Add, from libc-alpha post.

2004-03-07  Simon Josefsson <simon@josefsson.org>

	* libc/Makefile: Sync libc-alpha post.

2004-03-07  Simon Josefsson <simon@josefsson.org>

	* libc/README, libc/example.c: Update.

2004-03-07  Simon Josefsson <simon@josefsson.org>

	* libc/getaddrinfo.c, libc/netdb.h: Sync.

2004-03-07  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Fix comment.

2004-03-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-03-07  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Fix version requirements.

2004-03-07  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Fix texinfo requirement.

2004-03-05  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-03-05  Simon Josefsson <simon@josefsson.org>

	* lib/profiles.c: (stringprep_saslprep): Fix typo; make sure non-ASCII space
	characters are prohibited.

2004-03-01  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi, doc/tld/README: Mention tldchk.berlios.de,
	suggested by Thomas Jacob <jacob@internet24.de>.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Don't install tld.h if --disable-tld.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-ietf-sasl-anon-01.txt,
	doc/specifications/draft-ietf-sasl-anon-02.txt,
	doc/specifications/draft-ietf-sasl-anon-03.txt,
	doc/specifications/draft-ietf-sasl-saslprep-05.txt: Add.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.4.0.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* lib/toutf8.c: Always include errno.h (C89).

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c, src/idn.c: Indent.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* README: Mention TLD.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Handle draft-hoffman-idn-reg-*.txt tables
	better.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* doc/tld/fr.tld: Add headers. Fix typos and comments.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* doc/tld/fr.tld: Add copying conditions.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* doc/tld/fr.tld: Add, from Stephane Bortzmeyer <bortzmeyer@nic.fr>.


2004-02-28  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Don't document Tld_table* for now.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: (_tld_checkchar): Use new Tld_table API.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h: (Tld_table): Change valid definition.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Use new API.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2004-02-28  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Improve Troubleshooting.

2004-02-27  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Cosmetic fix.

2004-02-27  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: (tld_check_4): Don't write to NULL errpos, from Thomas Jacob
	<jacob@internet24.de>.

2004-02-18  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Typo.

2004-02-18  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Use hex in output.

2004-02-18  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Add comment.

2004-02-18  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Parse tables conforming to
	draft-hoffman-idn-reg.

2004-02-18  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-hoffman-idn-reg-00.txt,
	doc/specifications/draft-hoffman-idn-reg-01.txt,
	doc/specifications/draft-hoffman-idn-reg-02.txt: Add.

2004-02-18  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix typos.

2004-02-18  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix autoconf stuff, suggested by Stephane
	Bortzmeyer <bortzmeyer@nic.fr>.

2004-02-15  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-02-13  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Doc fix.

2004-02-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-02-12  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Fix. Indent.

2004-02-12  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: (tld_get_z): Allocate correct amount, from Thomas Jacob
	<jacob@internet24.de>.

2004-02-10  Simon Josefsson <simon@josefsson.org>

	* examples/README: Fix title.

2004-02-10  Simon Josefsson <simon@josefsson.org>

	* examples/README: Add.

2004-02-10  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-02-10  Simon Josefsson <simon@josefsson.org>

	* examples/example5.c: Fix warning.

2004-02-10  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Fix TLD debug.

2004-02-10  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: TLD check correct string.

2004-02-10  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Fix warning.

2004-02-10  Simon Josefsson <simon@josefsson.org>

	* examples/Makefile.am: TLD fix.

2004-02-10  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Fix include, from Thomas Jacob
	<jacob@internet24.de>.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Mention example5.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Sync libidn text.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* doc/reference/libidn-docs.tmpl: Sync text.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix introduction.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c, tests/tst_tld.c: Typo.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: TLD fixes.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add example 5.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: (_tld_checkchar): Binary search, from jacob@internet24.de.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* NEWS: Remove.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c, lib/tld.h: Indent.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Whitespace.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h: Doc fix.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl, lib/tld.c, lib/tld.h: Hide tld_tables.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/libidn.texi, lib/tld.c, lib/tld.h: (tld_get_z): Support any charset (renamed from tld_get_8z).

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* NEWS, lib/tld.c, lib/tld.h: Typo.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h: Typo.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/libidn.texi: Add.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c, lib/tld.h: (tld_get_8z): Add.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* examples/.cvsignore: [no log message]

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* examples/Makefile.am, examples/example5.c: Add.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: Doc fix.

2004-02-08  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/profiles.c, lib/tld.h, src/idn.c, tests/tst_tld.c: Indent.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Fix indent.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/tld/README: Add.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/tld/README: Fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/tld/README: Rewrite.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Fix "include".

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi, lib/tld.c, lib/tld.h, src/idn.c, tests/tst_tld.c: 
	Rename TLD_ILLEGAL to TLD_INVALID.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi, lib/tld.c, lib/tld.h: Rename TLD_ILLEGAL to
	TLD_INVALID.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Update idn command line.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* src/idn.ggo: Move around.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* src/idn.ggo: Fix stringprep profiles.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: TLD typo.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* src/idn.ggo: Make --tld the default.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Support --tld. Make sure output is hold in "p". Fix
	error messages.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* src/idn.ggo: TLD fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Typos.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h: Doc fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Typo.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c, lib/tld.h: Doc fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* tests/tst_tld.c: Use new API.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c, lib/tld.h: (tld_default_table): Add. (tld_get_table): Fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h: Typo.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c, lib/tld.h: Typo.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c, lib/tld.h: Revert.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c, lib/tld.h: Change semantics if tld_get_table.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl, lib/tld.c, lib/tld.h: Typo.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Typos.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* tests/tst_tld.c: Use new API.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Rename tld_check_*.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h: Rename tld_check_*. Doc fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c, lib/tld.h: Rename tld_gettld_* to tld_get_*.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Use new API. (tld_get_table): Rewrite.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Use new API.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h: Fix Tld_table.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Reorder.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* tests/tst_tld.c: Use new API.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c, lib/tld.h: Don't export tld_checkchar. Rename
	tld_finddomain to tld_get_table. Fixes.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* tests/tst_tld.c: Fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/profiles.c, lib/punycode.c, lib/stringprep.c, lib/tld.c,
	lib/tld.h: Indent.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix acks.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Add.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/reference/libidn-docs.tmpl: Update.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/reference/.cvsignore: [no log message]

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/components.fig: Add TLD.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Update introduction. Add TLD. Fix autoconf
	example. Remove Kerberos 5 macro documentation.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Doc fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h: Fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am, doc/reference/libidn-docs.tmpl: Add
	TLD.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am, tests/Makefile.am: Make it possible to exclude
	TLD.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Add --disable-tld.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Build doc/tld/Makefile.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/tld/.cvsignore, tests/.cvsignore: [no log message]

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Add tst_tld.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* src/idn.ggo: Add --tld.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* tests/tst_tld.c: Add.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl, lib/tld.h: Fix Tld_table.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: TLD code fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/.cvsignore: [no log message]

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: TLD fixes.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h: TLD typos.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: TLD fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.c: Add, from Thomas Jacob <jacob@internet24.de>.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h: Fixes.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/tld.h: Add, from Thomas Jacob <jacob@internet24.de>.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: TLD fixes.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/gen-tld-tables.pl: Print to stdout.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: TLD fixes.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Add tld/.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/tld/Makefile.am: Fix.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/tld/README: Add copying conditions.

2004-02-06  Simon Josefsson <simon@josefsson.org>

	* doc/tld/Makefile.am, doc/tld/README, lib/Makefile.am,
	lib/gen-tld-tables.pl: Add, from Thomas Jacob <jacob@internet24.de>.


2004-02-04  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Typo.

2004-02-01  Simon Josefsson <simon@josefsson.org>

	* doc/components.fig: Fix.

2004-02-01  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2004-02-01  Simon Josefsson <simon@josefsson.org>

	* doc/components.fig: Add.

2004-02-01  Simon Josefsson <simon@josefsson.org>

	* doc/.cvsignore: [no log message]

2004-02-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Build components.pdf too.

2004-02-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am, doc/libidn.texi: Add components.fig.

2004-01-31  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2004-01-31  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix, reported by nisse@lysator.liu.se (Niels
	Möller).

2004-01-22  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-01-22  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix release target.

2004-01-22  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh: Upstream sync.

2004-01-22  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-01-22  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.3.7.

2004-01-22  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Add release target.

2004-01-22  Simon Josefsson <simon@josefsson.org>

	* .cvsignore: [no log message]

2004-01-22  Simon Josefsson <simon@josefsson.org>

	* .cvscopying, autogen.sh: Fix.

2004-01-22  Simon Josefsson <simon@josefsson.org>

	* .prev-version, GNUmakefile, Makefile.am, Makefile.cfg,
	Makefile.maint, announce-gen: Remove ugly maintainance hacks.

2004-01-22  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Typo.

2004-01-22  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Update copyright years.

2004-01-22  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-01-22  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2004-01-22  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi, src/idn.ggo: Mention '--'.

2004-01-21  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/stringprep-profiles: Add.

2004-01-21  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php, doc/libidn.texi, src/idn.ggo,
	tests/tst_stringprep.c: Fix iSCSI profile name.

2004-01-21  Simon Josefsson <simon@josefsson.org>

	* lib/profiles.c: Add alias 'iSCSI'.

2004-01-18  Simon Josefsson <simon@josefsson.org>

	* doc/fdl.texi, doc/libidn.texi: Use FDL 1.2.

2004-01-18  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Fix warning.

2004-01-14  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Don't use AC_LIBTOOL_TAGS, too experimental.

2004-01-10  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Fix idn.1 depends.

2004-01-10  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Dist texinfo.css.

2004-01-10  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs_template: Sync with texinfo.

2004-01-10  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs_template: Remove DocBook.

2004-01-10  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-01-10  Simon Josefsson <simon@josefsson.org>

	* configure.ac, doc/Makefile.am: Remove DocBook stuff.

2004-01-10  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am, doc/libidn.css, doc/texinfo.css: Rename
	libidn.css to texinfo.css.

2004-01-10  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.css: Fix.

2004-01-10  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.css: Fix.

2004-01-10  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Use CSS for HTML.

2004-01-10  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.css: Add.

2004-01-06  Simon Josefsson <simon@josefsson.org>

	* libc/getaddrinfo-idn.txt: Add.

2004-01-06  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2004-01-06  Simon Josefsson <simon@josefsson.org>

	* .prev-version: .

2004-01-06  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2004-01-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.3.6.

2004-01-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-01-06  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix license header.

2004-01-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2004-01-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac, m4/ax_create_stdint_h.m4: Fix, to use ax_...
	verbatim from upstream.

2004-01-01  Simon Josefsson <simon@josefsson.org>

	* m4/ac_compile_check_sizeof.m4: Remove (not used by ax_... any
	more).

2004-01-01  Simon Josefsson <simon@josefsson.org>

	* m4/ax_create_stdint_h.m4: Apply local fixes.

2004-01-01  Simon Josefsson <simon@josefsson.org>

	* m4/ax_create_stdint_h.m4: Sync with upstream version 1.4.

2003-12-30  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-12-30  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Allow autoconf 2.57.

2003-12-18  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Encode file in ASCII.

2003-12-16  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Replace non-ASCII with Texinfo accents.

2003-12-16  Simon Josefsson <simon@josefsson.org>

	* THANKS, doc/libidn.texi: Add Troubleshooting discussion for idn
	tool. Suggested by "Jan-Hendrik Heuing" <jh@netfielders.de> and Kai
	Schaetzl <kai@conactive.com>.

2003-12-15  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Pass data on command line. Update error
	enum's. Fix.

2003-12-15  Simon Josefsson <simon@josefsson.org>

	* ANNOUNCE: Remove (see doc/libidn.texi instead).

2003-12-15  Simon Josefsson <simon@josefsson.org>

	* README: Fix.

2003-12-15  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2003-12-15  Simon Josefsson <simon@josefsson.org>

	* .prev-version: .

2003-12-15  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2003-12-15  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.3.5.

2003-12-15  Simon Josefsson <simon@josefsson.org>

	* doc/.cvsignore: [no log message]

2003-12-15  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Use @finalout.

2003-12-15  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-12-15  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Remove DocBook HTML targets (I'm tired of
	updating the random filenames in the Makefile).

2003-12-15  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Set charset cookie. Use @section instead of
	@majorheading for DocBook. Add real examples to idn section.

2003-12-15  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh: Sync with Texinfo CVS.

2003-12-15  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-12-15  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Update DocBook HTML target.

2003-12-11  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS, doc/libidn.texi, lib/idna.c, lib/idna.h: Rename
	IDNA_CONTAINS_LDH to IDNA_CONTAINS_NON_LDH.  Reported by Graydon
	Hoare <graydon@redhat.com>.

2003-12-10  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Check for autoconf 2.59 and automake 1.8.

2003-12-09  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Mention versions.

2003-12-04  Simon Josefsson <simon@josefsson.org>

	* README: Fix.

2003-12-03  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-faltstrom-unicode-synchronisation-00.txt: 
	Add.

2003-11-27  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-11-27  Simon Josefsson <simon@josefsson.org>

	* configure.ac, src/Makefile.am, src/idn.ggo, src/idn.ggo.in: 
	Simplify gengetopt building. Use AM_CPPFLAGS, not *_CPPFLAGS.

2003-11-27  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Print instructions.  Suggested by Kai Schaetzl
	<kai@conactive.com>.

2003-11-26  Simon Josefsson <simon@josefsson.org>

	* libc/getaddrinfo-idn.txt: Typo.

2003-11-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-11-26  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Update Invoking idn.

2003-11-26  Simon Josefsson <simon@josefsson.org>

	* src/idn.c, src/idn.ggo.in: Make -a the default.

2003-11-26  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Update Invoking idn.

2003-11-26  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2003-11-26  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am, src/idn.c: Support strings passed on command line
	instead of on stdin. Suggested by Kai Schaetzl <kai@conactive.com>.


2003-11-26  Simon Josefsson <simon@josefsson.org>

	* libc/getaddrinfo-idn.txt: Add todo.

2003-11-25  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Disable fortran etc libtool checks.

2003-11-23  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh: Add --docbook.

2003-11-23  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh: Sync with texinfo.

2003-11-20  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Fix GREETING.

2003-11-11  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: TeX improvements.  From Nikos Mavroyanopoulos
	<nmav@gnutls.org>.

2003-11-11  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Use AM_MAKEINFOHTMLFLAGS (with CVS automake)
	instead of explicit libidn.html target.

2003-11-10  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/rfc2279.txt, doc/specifications/rfc3629.txt: 
	Add.

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* .cvsignore, doc/.cvsignore: [no log message]

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Update DocBook HTML destinations.

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* doc/html/.cvsignore: Remove.

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Remove unused ps_TEXINFOS and pdf_TEXINFOS.

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Remove example source code to texinfo conversion
	(@verbatiminclude is used directly on the source code instead).

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Use @verbatiminclude for examples.

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* examples/Makefile.am, src/Makefile.am, tests/Makefile.am: Use
	*_CPPFLAGS instead of obsolete INCLUDES.

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Replace AM_CONFIG_HEADER with AC_CONFIG_HEADERS.

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Autoupdate suggested changes: quote AC_INIT
	parameters, and replace AC_TRY_RUN with AC_RUN_IFELSE.

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* autogen.sh: Enable warnings.

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* m4/.cvsignore: [no log message]

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Use automake 1.7a idiom for elisp files.

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.ac, m4/Makefile.am: Remove m4/ as it is not
	needed with automake 1.7a.

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* Makefile.maint: Use proper -o directory for gendocs.sh.

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* .prev-version: .

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.3.4.

2003-11-09  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c, lib/stringprep.c: Fix memory leak.

2003-11-07  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Remove libtool bug workaround.

2003-11-05  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-josefsson-idn-test-vectors.xml: Fix.

2003-11-05  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-josefsson-idn-test-vectors.xml: Fix date.


2003-11-05  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-josefsson-idn-test-vectors.xml: Fix bad
	UTF-8.

2003-11-02  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh: Mkdir HTML.

2003-11-02  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Cleanup.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* m4/Makefile.am: Dist gtk-doc.m4.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Update expiry date on PGP key.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* m4/.cvsignore: [no log message]

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/reference/.cvsignore: [no log message]

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/reference/libidn-docs.sgml, doc/reference/libidn-docs.tmpl: 
	Rename.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Use my old cleaned up Makefile.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Don't break on first 'make'.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Make 'dist' work.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* reference/.cvsignore, reference/Makefile.am,
	reference/libidn-docs.tmpl: Remove (replaced by doc/reference/).

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/reference/libidn-docs.sgml: Add.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/reference/.cvsignore: [no log message]

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/reference/Makefile.am: Add, based on GTK-DOC example
	Makefile.am.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Add reference/.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Remove GTK-DOC subdir reference/ (moved to doc/).

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Build GTK-DOC Makefile in doc/reference instead of
	reference/.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Use GTK_DOC_CHECK macro for gtk-doc checks.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* m4/gtk-doc.m4: Add.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Use GTK-DOC conditional.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.gdoci: Rebuild Makefile after rebuilding
	Makefile.gdoc.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Set GDOC_MAN_EXTRA_ARGS.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.gdoci: Add GDOC_TEXI_EXTRA_ARGS, GDOC_MAN_EXTRA_ARGS.


2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: GDOC framework cleanup.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.gdoci: Create texinfo for whole sources files too.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.gdoci: Add -man parameters (move to Makefile.am?).

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* autogen.sh: Just touch doc/Makefile.gdoc.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.gdoci: Mark Makefile.gdoc as BUILT_SOURCES.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* autogen.sh: Bootstrap doc/Makefile.gdoc.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.gdoci: (Makefile.gdoc): Depend on ../configure for bootstrapping.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/.cvsignore: [no log message]

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/.cvsignore: [no log message]

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/man/.cvsignore, doc/man/Makefile.am: Remove.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.gdoci: Mkdir.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Update docbook HTMLs.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Use gdoc @include's.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Don't build in man/. Build idn.1 man page here.
	Move man page dist targets from man/. Use Makefile.gdoci to generate
	man pages and texinfo.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.gdoci: Add, initial version.

2003-11-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Don't generate doc/man/Makefile.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Move unicode utility functions from stringprep to
	own chapter. Replace API documentation with @include'd GDOC
	generated version.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Generate more API manuals with gdoc. Replace
	phony libidn-db.html with real targets. Update libidn-db.html files.


2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/.cvsignore, doc/html/.cvsignore: [no log message]

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Don't use @code for @deftypefun function name.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.c: (punycode_encode): Rename parameter to match punycode.h (and more
	importantly, to make gdoc function properly).

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* lib/nfkc.c: Doc fixes.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: (dump_function): Handle parameters that look like 'char *foo[]'.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Fix rule expansions.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Dist gdoc and generated API texi's. Generate API
	doc. Fix dependencies.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Sync from GSSLib.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Mention more tools.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* Makefile.maint: Fix doc generating commands.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh: Fix HTML dir move.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh: Fix outdir rm.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh: Fix outdir rm.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh: Don't remove $outdir (might contain CVS/).

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh, doc/gendocs_template: TAR fixes. Add
	DocBook/Doxygen/GTK-DOC.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/gendocs.sh, doc/gendocs_template: Add (taken from Texinfo
	CVS).

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/.cvsignore, doc/html/.cvsignore: [no log message]

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Add docbook targets.

2003-10-31  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Look for docbook tools.

2003-10-29  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Dist libc/getaddrinfo-idn.txt.

2003-10-29  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Add AC_CONFIG_AUX_DIR(.) for broken CVS libtoolize.


2003-10-29  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-ietf-sasl-saslprep-04.txt: Add.

2003-10-28  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-ietf-ldapbis-strprep-02.txt: Add.

2003-10-28  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-costello-rfc3492bis-01.txt: Add.

2003-10-24  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-ietf-ips-iscsi-string-prep-06.txt: Add.

2003-10-24  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/IDNstatement.txt,
	doc/specifications/draft-hoffman-rfc3490bis-01.txt: Add.

2003-10-24  Simon Josefsson <simon@josefsson.org>

	* THANKS: Fix.

2003-10-19  Simon Josefsson <simon@josefsson.org>

	* contrib/idn-python/README: Add.

2003-10-19  Simon Josefsson <simon@josefsson.org>

	* contrib/README: Fix.

2003-10-19  Simon Josefsson <simon@josefsson.org>

	* lib/gen-stringprep-tables.pl: Add warning in comment.

2003-10-19  Simon Josefsson <simon@josefsson.org>

	* libc/getaddrinfo-idn.txt: Character set fixes.

2003-10-19  Simon Josefsson <simon@josefsson.org>

	* libc/getaddrinfo-idn.txt: Fix.

2003-10-19  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2003-10-18  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Add comment.

2003-10-18  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2003-10-18  Simon Josefsson <simon@josefsson.org>

	* .prev-version: .

2003-10-18  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2003-10-18  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.3.3.

2003-10-18  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-10-18  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-10-18  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Revert to old elisp automake idiom.

2003-10-17  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-10-17  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.h.in: (struct Stringprep_table, struct
	Stringprep_profiles): Use 'const'. (stringprep_4i, stringprep_4zi,
	stringprep, stringprep_profile): Likewise.

2003-10-17  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: (stringprep_find_character_in_table): Mark parameter as 'const'.
	(stringprep_find_string_in_table): Likewise.
	(stringprep_apply_table_to_string): Likewise. (stringprep_4i,
	stringprep_4zi_1, stringprep_4zi, stringprep): Likewise.

2003-10-17  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: (stringprep_profile): Fix warning.

2003-10-17  Simon Josefsson <simon@josefsson.org>

	* tests/tst_idna.c, tests/tst_punycode.c: Fix warnings.

2003-10-17  Simon Josefsson <simon@josefsson.org>

	* tests/tst_idna.c, tests/tst_idna2.c, tests/tst_nfkc.c,
	tests/tst_punycode.c, tests/tst_stringprep.c: Indent.

2003-10-17  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Remove stringprep_generic documentation.

2003-10-17  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Remove stringprep_generic.

2003-10-17  Simon Josefsson <simon@josefsson.org>

	* lib/gen-stringprep-tables.pl: Mark table elements as 'const'.

2003-10-17  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: (stringprep_apply_table_to_string): Remove 'name' parameter.
	(stringprep_4i): Likewise.

2003-10-17  Simon Josefsson <simon@josefsson.org>

	* lib/profiles.c: (stringprep_profiles): Remove "generic". Indent.

2003-10-17  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.h.in: (struct Stringprep_table): Remove 'name'.
	(stringprep_profiles, stringprep_rfc3454_A_1,stringprep_rfc3454_B_1)
	(stringprep_rfc3454_B_2, stringprep_rfc3454_B_3)
	(stringprep_rfc3454_C_1_1, stringprep_rfc3454_C_1_2)
	(stringprep_rfc3454_C_2_1, stringprep_rfc3454_C_2_2)
	(stringprep_rfc3454_C_3, stringprep_rfc3454_C_4)
	(stringprep_rfc3454_C_5, stringprep_rfc3454_C_6)
	(stringprep_rfc3454_C_7, stringprep_rfc3454_C_8)
	(stringprep_rfc3454_C_9, stringprep_rfc3454_D_1)
	(stringprep_rfc3454_D_2) (stringprep_nameprep) (stringprep_saslprep,
	stringprep_plain,stringprep_trace) (stringprep_kerberos5)
	(stringprep_xmpp_nodeprep, stringprep_xmpp_resourceprep)
	(stringprep_xmpp_nodeprep_prohibit) (stringprep_iscsi): Mark as
	'const'. (stringprep_generic, stringprep_generic): Remove.

2003-10-17  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.h, lib/stringprep.h.in, tests/tst_stringprep.c: 
	Indent.

2003-10-17  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Fix memory leak.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* doc/gdoc: Fix #include for man pages.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Sync 'idn -h'.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/gen-stringprep-tables.pl, lib/idna.c, lib/nfkc.c,
	lib/profiles.c, lib/punycode.c, lib/stringprep.c, lib/toutf8.c,
	lib/version.c, src/idn.c, tests/tst_idna.c, tests/tst_idna2.c,
	tests/tst_nfkc.c, tests/tst_stringprep.c: Include cleanup.  We
	assume C89, use <...> for headers we use, and use "..." for headers
	we implement.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Fix gengetopt building.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* src/idn.ggo.in: Use less negations for --quiet, reported by Oden
	Eriksson <oden.eriksson@kvikkjokk.net>.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Fix gengetopt built source files. Use new
	automake Emacs Lisp targets.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Use current version number in examples.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Update so version.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.h: Include parameter names in prototypes, for
	GTK-DOC.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Doc fix.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix typo.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* tests/tst_idna.c, tests/tst_punycode.c: Fix.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/internal.h: Removed.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* src/idn.c, tests/tst_nfkc.c, tests/tst_stringprep.c: Make
	#include's explicit.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* tests/tst_idna.c, tests/tst_idna2.c, tests/tst_punycode.c: Make
	#include's explicit. Fix warnings.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Remove internal.h.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Doc fix.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/profiles.c, lib/stringprep.c, lib/toutf8.c, lib/version.c: 
	Make #include's explicit.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/nfkc.c: Make #include's explicit.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: Fix.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: Make #include's explicit.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.h: Fix typo.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.c: Sync with latest draft, but change return types to
	'int' to be backwards compatible.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.h: Sync with latest draft, but change return types to
	'int' to be backwards compatible.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* configure.ac, lib/internal.h: Remove DMALLOC stuff.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Fix warnings.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Typo.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* tests/tst_stringprep.c: Simplify debug prints.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: (idna_to_unicode_internal): Handle reallocating larger utf8in after
	stringprep error STRINGPREP_TOO_SMALL_BUFFER. (idna_to_unicode_44i):
	Let new logic in idna_to_unicode_internal() replace BUFSIZ alloc.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: (stringprep_profile): Loop around stringprep return
	STRINGPREP_TOO_SMALL_BUFFER and increase buffer size.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: (stringprep): Check return value from stringprep_ucs4_to_utf8.
	Don't use goto.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: (stringprep): Loop around stringprep_4i error
	STRINGPREP_TOO_SMALL_BUFFER and increase buffer size.
	(stringprep_apply_table_to_string): Don't dereference possibly
	unallocated memory just to do pointer arithmetic.

2003-10-16  Simon Josefsson <simon@josefsson.org>

	* lib/nfkc.c: Check malloc return value.

2003-10-15  Simon Josefsson <simon@josefsson.org>

	* lib/nfkc.c: Check malloc return code.

2003-10-15  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-10-15  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Doc fox. Add stringprep_4i and stringprep_4zi.

2003-10-15  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Doc fix.

2003-10-15  Simon Josefsson <simon@josefsson.org>

	* doc/man/Makefile.am: Add stringprep_4i.3, stringprep_4zi.3.

2003-10-15  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Doc fix.

2003-10-15  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.h.in: (stringprep_4i, stringprep_4zi): Add.

2003-10-15  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: (stringprep1): Don't zero terminate.  Rename to stringprep_4i and
	export it. (stringprep_4zi_1): Add.  Calls stringprep_4i, then zero
	terminate. (stringprep_4zi): Add.  New API. (stringprep): Use
	stringprep_4zi_1.

2003-10-15  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Fix typo.

2003-10-15  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: (stringprep): Split core part into stringprep1. (stringprep1): New,
	simplified version of core part.

2003-10-15  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2003-10-15  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Remove generic. Add trace.

2003-10-15  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Print UCS-4 instead of UTF-8 in debug output for
	--stringprep.

2003-10-15  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-10-15  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Fix UCS-4 output in --stringprep. Print debug output
	even with --idna-to-ascii. Fix error message.

2003-10-12  Simon Josefsson <simon@josefsson.org>

	* libc/getaddrinfo-idn.txt: Clarify alternative approaches.

2003-10-11  Simon Josefsson <simon@josefsson.org>

	* libc/getaddrinfo-idn.txt: Fix.

2003-10-11  Simon Josefsson <simon@josefsson.org>

	* libc/getaddrinfo-idn.txt: Add.

2003-10-10  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Revert typo.

2003-10-10  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Fix so version comment (matches libtool manual).

2003-10-09  Simon Josefsson <simon@josefsson.org>

	* FAQ: Fix.

2003-10-09  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-10-09  Simon Josefsson <simon@josefsson.org>

	* src/idn.ggo.in: Remove 'generic' (should not be exposed). Add
	'trace'.

2003-10-09  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-hoffman-rfc3454bis-01.txt: Add.

2003-10-07  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2003-10-07  Simon Josefsson <simon@josefsson.org>

	* Makefile.maint: Fix doxygen generation.

2003-10-07  Simon Josefsson <simon@josefsson.org>

	* .prev-version: .

2003-10-07  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2003-10-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.3.2.

2003-10-07  Simon Josefsson <simon@josefsson.org>

	* Makefile.maint: Remove --rsyncable for now, Debian (stable) gzip
	do not support it.

2003-10-07  Simon Josefsson <simon@josefsson.org>

	* GNUmakefile: TAR_OPTION crashes tar in Debian, comment out for
	now.

2003-10-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-10-07  Simon Josefsson <simon@josefsson.org>

	* lib/nfkc.c: Doc fix.

2003-10-07  Simon Josefsson <simon@josefsson.org>

	* m4/Makefile.am, m4/lib-ld.m4, m4/lib-link.m4, m4/lib-prefix.m4: 
	Add.

2003-10-07  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-hoffman-rfc3490bis-00.txt,
	doc/specifications/draft-hoffman-rfc3491bis-00.txt: Add.

2003-10-06  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-costello-rfc3492bis-00.txt,
	doc/specifications/draft-hoffman-rfc3454bis-00.txt: Add.

2003-10-06  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c, lib/stringprep.h.in: (stringprep_profile): Mark 'in' as 'const'.

2003-10-02  Simon Josefsson <simon@josefsson.org>

	* lib/profiles.c: Fix comment.

2003-10-02  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2003-10-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-10-02  Simon Josefsson <simon@josefsson.org>

	* lib/profiles.c, lib/stringprep.h.in: Add trace profile (SASL
	ANONYMOS).

2003-10-02  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2003-10-02  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Cosmetic fixes.

2003-10-02  Simon Josefsson <simon@josefsson.org>

	* Makefile.maint: Fix.

2003-10-02  Simon Josefsson <simon@josefsson.org>

	* .prev-version: .

2003-10-02  Simon Josefsson <simon@josefsson.org>

	* announce-gen: Perl 5.8.1 fix.

2003-10-02  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2003-10-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.3.1.

2003-10-02  Simon Josefsson <simon@josefsson.org>

	* lib/gen-unicode-tables.pl, lib/nfkc.c: Fix NFKC, from Noah Levitt
	<nlevitt@columbia.edu> via bugzilla.gnome.org bug 123421.

2003-09-28  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2003-09-28  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add.

2003-09-28  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2003-09-28  Simon Josefsson <simon@josefsson.org>

	* tests/tst_idna2.c: Indent.

2003-09-28  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Fix.

2003-09-28  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix indent target.

2003-09-28  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am, tests/Makefile.am: Add indent rule.

2003-09-28  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c, lib/nfkc.c, lib/punycode.h: Indent.

2003-09-28  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Fix.  Add indent target.

2003-09-26  Simon Josefsson <simon@josefsson.org>

	* lib/nfkc.c: Fix Hangul patch.

2003-09-25  Simon Josefsson <simon@josefsson.org>

	* tests/tst_idna2.c: Fix typo.

2003-09-25  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-09-25  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/BidiMirroring-3.2.0.txt, lib/Makefile.am,
	lib/gen-unicode-tables.pl, lib/nfkc.c: Sync with GLIB for Unicode
	stuff.

2003-09-25  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.h: Fix typo.

2003-09-25  Simon Josefsson <simon@josefsson.org>

	* tests/tst_idna2.c: Update test vectors.

2003-09-25  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Fix debug messages.

2003-09-25  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-09-25  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: (DOTP): New. (idna_to_unicode_4z4z): Use it. (idna_to_ascii_4z): Use
	it. Make root label handling explicit.

2003-09-25  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2003-09-25  Simon Josefsson <simon@josefsson.org>

	* lib/nfkc.c: (decompose_hangul, combine_hangul): New. (combine,
	_g_utf8_normalize_wc): Use them. Adds support for algorithmic
	composition of Hangul Syllables, adapted from a patch written by
	Noah Levitt <nlevitt@columbia.edu> for GLIB, discussed in
	<http://bugzilla.gnome.org/show_bug.cgi?id=100456> and available
	from <http://bugzilla.gnome.org/showattachment.cgi?attach_id=18915>.


2003-09-25  Simon Josefsson <simon@josefsson.org>

	* tests/tst_idna2.c: Fix.

2003-09-25  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am, tests/tst_idna2.c: Add.

2003-09-25  Simon Josefsson <simon@josefsson.org>

	* tests/.cvsignore: [no log message]

2003-09-25  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: (idna_to_ascii_4z): Output "" instead of "." on input "".  (Some
	religions claim "" should fail though.)

2003-09-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-09-23  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Doc fix.

2003-09-23  Simon Josefsson <simon@josefsson.org>

	* src/punycode.el: (punycode-shutdown): New.

2003-09-23  Simon Josefsson <simon@josefsson.org>

	* src/idna.el: (idna-to-ascii-parameters, idna-to-unicode-parameters): Add
	--usestd3asciirules. (idna-shutdown): New.

2003-09-23  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2003-09-23  Simon Josefsson <simon@josefsson.org>

	* Makefile.maint: Fix.

2003-09-23  Simon Josefsson <simon@josefsson.org>

	* Makefile.maint: Fix.

2003-09-23  Simon Josefsson <simon@josefsson.org>

	* .prev-version: .

2003-09-23  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2003-09-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.3.0.

2003-09-23  Simon Josefsson <simon@josefsson.org>

	* libc/README: Fix.

2003-09-23  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/draft-ietf-sasl-saslprep-03.txt: Add.

2003-09-23  Simon Josefsson <simon@josefsson.org>

	* libc/Makefile, libc/README: Fix.

2003-09-22  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-09-22  Simon Josefsson <simon@josefsson.org>

	* lib/profiles.c: (stringprep_saslprep): Prohibit inappropriate for canonical
	representation characters.

2003-09-14  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Dist libc/Banner.

2003-09-14  Simon Josefsson <simon@josefsson.org>

	* libc/README: Create idna.h without dependency on idn-int.h.

2003-09-14  Simon Josefsson <simon@josefsson.org>

	* tests/tst_stringprep.c: Fix memory leak.

2003-09-14  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Fix memory leaks.

2003-09-14  Simon Josefsson <simon@josefsson.org>

	* src/idn.c: Fix greeting message.

2003-09-14  Simon Josefsson <simon@josefsson.org>

	* libc/README: Copy Banner.

2003-09-14  Simon Josefsson <simon@josefsson.org>

	* libc/Banner: Add.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* libc/README: Fix.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.c: Cast.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/internal.h: Fix.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/internal.h: Simplify #include mess.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Remove cruft.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* libc/README: Fix.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* reference/Makefile.am: Remove dummy.c.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Doc fix.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi, lib/punycode.c, lib/stringprep.c: Doc fix.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: Doc fix.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: Doc fix.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.c, lib/stringprep.c: Doc fix.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.c: Doc fix.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.h: Fix RFC compatibility.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.h: Typedef Punycode_status. Use 'int' instead of
	'enum' for return codes.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.c: Use 'int' instead of 'enum' for return code.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/profiles.c, lib/stringprep.h.in: Rename stringprep_generic_*
	to stringprep_rfc3454_*.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/.cvsignore: [no log message]

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Rename stringprep_generic.c to rfc3454.c. Add to
	BUILT_SOURCES.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/gen-stringprep-tables.pl: Write to rfc3454.c. Rename variables
	to stringprep_rfc3454_* from stringprep_generic_*.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* reference/dummy.c: Remove, merged into ../lib/*.c.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/punycode.c: Doc fix.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c: Fix.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* doc/man/Makefile.am: Fix update-api.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c, lib/stringprep.c: Doc fix.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.h.in: Indent.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.c: Use 'int' instead of 'enum's.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/stringprep.h.in: Typedef Stringprep_rc,
	Stringprep_profile_flags, and Stringprep_profile_steps. Use 'int'
	instead of 'enum's (i.e., revert 0.2.3 changes).

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am, lib/obsolete.c: Remove obsolete.c.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am, lib/idna.h, lib/stringprep_generic.h,
	lib/stringprep_iscsi.h, lib/stringprep_kerberos5.h,
	lib/stringprep_nameprep.h, lib/stringprep_plain.h,
	lib/stringprep_xmpp.h: Remove obsolete headers.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c, lib/obsolete.c: Use int instead of enum's.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/idna.h: Typedef Idna_rc and Idna_flags. Use int instead of
	enum's.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* reference/Makefile.am: Fix path to sources. Fix HIGNORE.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* libc/README: Workaround -I problem.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* libc/libc.patch: Against glibc 2.3.2.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* m4/Makefile.am, m4/memset.m4, m4/onceonly_2_57.m4, m4/strdup.m4: 
	Remove unused m4's.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* src/getopt.c, src/getopt.h, src/getopt1.c: Add (from gl/).

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/idna.c, lib/toutf8.c: Don't use strdup.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, gl/.cvsignore, gl/Makefile.am, gl/getopt.c,
	gl/getopt.h, gl/getopt1.c, gl/m4/.cvsignore, gl/m4/Makefile.am,
	gl/m4/memset.m4, gl/m4/onceonly_2_57.m4, gl/m4/strdup.m4,
	gl/memset.c, gl/strdup.c, src/Makefile.am: Remove gl/.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am: Fix.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Remove checks for memset and strdup; we assume C89,
	so memset exists, and we no longer use strdup. Remove gl/.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Ported to Mac OS X / Darwin.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* gl/.cvsignore: [no log message]

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am: Use libtool.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* examples/Makefile.am, src/Makefile.am, tests/Makefile.am: Make
	LDADD libtool friendly.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac, doc/Makefile.am, doc/gdoc,
	doc/man/.cvsignore, doc/man/Makefile.am: Build man pages.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/idna-ace-prefix.txt, idna-ace-prefix.txt: Move.


2003-09-12  Simon Josefsson <simon@josefsson.org>

	* libc/README: Fix.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* libc/Versions: Typo.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* lib/internal.h: [_LIBC]: Define ICONV_CONST.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* libc/getaddrinfo.c: Use modern API.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* libc/Versions: Export modern API.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* libc/README: Update.

2003-09-12  Simon Josefsson <simon@josefsson.org>

	* libc/getaddrinfo.c: GLIBC 2.3.2 sync.

2003-09-02  Simon Josefsson <simon@josefsson.org>

	* libc/getaddrinfo.c, libc/libc.patch: Revert.

2003-08-26  Simon Josefsson <simon@josefsson.org>

	* AUTHORS: Update key.

2003-08-26  Simon Josefsson <simon@josefsson.org>

	* examples/Makefile.am, examples/README: Add examples/README.

2003-08-26  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Fixes.

2003-08-25  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix cvs2cl parameters.

2003-08-25  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, gl/Makefile.am, lib/Makefile.am: Use $() instead of
	@@.

2003-08-25  Simon Josefsson <simon@josefsson.org>

	* Makefile.maint: Do some tests that work.

2003-08-25  Simon Josefsson <simon@josefsson.org>

	* Makefile.cfg: Fix URL.

2003-08-25  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Bump versions.

2003-08-25  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix cvs2cl parameters.

2003-08-25  Simon Josefsson <simon@josefsson.org>

	* Makefile.maint: Ignore errors on www update.

2003-08-25  Simon Josefsson <simon@josefsson.org>

	* contrib/doxygen/Doxyfile.in: Update paths.

2003-08-25  Simon Josefsson <simon@josefsson.org>

	* .prev-version: .

2003-08-25  Simon Josefsson <simon@josefsson.org>

	* announce-gen: Revert.

2003-08-25  Simon Josefsson <simon@josefsson.org>

	* Makefile.maint: Fix.

2003-08-25  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2003-08-25  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.2.3.

2003-08-25  Simon Josefsson <simon@josefsson.org>

	* .cvsignore: [no log message]

2003-08-25  Simon Josefsson <simon@josefsson.org>

	* .cvscopying: Add tabs, for Makefile.maint check.

2003-08-25  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Replace release target with Makefile.maint etc.

2003-08-25  Simon Josefsson <simon@josefsson.org>

	* .prev-version, GNUmakefile, Makefile.cfg, Makefile.maint,
	announce-gen: Add.

2003-08-25  Simon Josefsson <simon@josefsson.org>

	* examples/example3.c: Doc fix.

2003-08-25  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2003-08-25  Simon Josefsson <simon@josefsson.org>

	* examples/example4.c: Really call ToUnicode instead of ToASCII.
	Reported by Trond Haugen <trond.haugen@uninett.no>.

2003-08-21  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add port.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* gl/Makefile.am: Dist getopt.h.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am: Link with gl stuff.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* lib/toutf8.c: Fix warning message.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Group portability stuff together.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* src/Makefile.am, tests/Makefile.am: Fix -I paths.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Distcheck fixes.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* examples/Makefile.am: Fix paths.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* reference/Makefile.am: Fix paths (for distcheck).

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix directory build order, for gtk-doc.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* reference/Makefile.am: Update paths to source code.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am, lib/idna.c, lib/obsolete.c: Move obsolete
	functions into separate file.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Fixes.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Build doc after src, for help2man on idn.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* .cvsignore: [no log message]

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* lib/Makefile.am: Add EXTRA_DISTs.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Add gl, lib, src, tests and examples to SUBDIRS. Add
	gl/m4 to ACLOCAL_AMFLAGS. Remove rules that are moved into lib/,
	src/, tests/ and examples/.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Split up files into sub-directories.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* gdoc: Move gdoc to doc/.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* doc/specifications/.cvsignore, gl/.cvsignore, gl/m4/.cvsignore,
	lib/.cvsignore, src/.cvsignore, tests/.cvsignore: [no log message]

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* examples/.cvsignore, lib/.cvsignore: [no log message]

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* CaseFolding-3.2.0.txt, CompositionExclusions-3.2.0.txt,
	LineBreak-3.2.0.txt, SpecialCasing-3.2.0.txt,
	UnicodeData-3.2.0.txt, doc/Makefile.am, doc/gdoc,
	doc/specifications/CaseFolding-3.2.0.txt,
	doc/specifications/CompositionExclusions-3.2.0.txt,
	doc/specifications/LineBreak-3.2.0.txt,
	doc/specifications/Makefile.am,
	doc/specifications/SpecialCasing-3.2.0.txt,
	doc/specifications/UnicodeData-3.2.0.txt,
	doc/specifications/draft-ietf-ips-iscsi-string-prep-04.txt,
	doc/specifications/draft-ietf-ips-iscsi-string-prep-05.txt,
	doc/specifications/draft-ietf-krb-wg-utf8-profile-01.txt,
	doc/specifications/draft-ietf-ldapbis-dn-11.txt,
	doc/specifications/draft-ietf-ldapbis-strprep-00.txt,
	doc/specifications/draft-ietf-ldapbis-strprep-01.txt,
	doc/specifications/draft-ietf-sasl-anon-00.txt,
	doc/specifications/draft-ietf-sasl-saslprep-00.txt,
	doc/specifications/draft-ietf-sasl-saslprep-01.txt,
	doc/specifications/draft-ietf-sasl-saslprep-02.txt,
	doc/specifications/draft-ietf-xmpp-nodeprep-01.txt,
	doc/specifications/draft-ietf-xmpp-nodeprep-02.txt,
	doc/specifications/draft-ietf-xmpp-nodeprep-03.txt,
	doc/specifications/draft-ietf-xmpp-resourceprep-01.txt,
	doc/specifications/draft-ietf-xmpp-resourceprep-02.txt,
	doc/specifications/draft-ietf-xmpp-resourceprep-03.txt,
	doc/specifications/draft-josefsson-idn-test-vectors-00.txt,
	doc/specifications/draft-josefsson-idn-test-vectors.xml,
	doc/specifications/draft-zeilenga-ldapbis-strmatch-02.txt,
	doc/specifications/draft-zeilenga-ldapbis-strprep-00.txt,
	doc/specifications/rfc3454.txt, doc/specifications/rfc3490.txt,
	doc/specifications/rfc3491.txt, doc/specifications/rfc3492.txt,
	draft-ietf-ips-iscsi-string-prep-04.txt,
	draft-ietf-ips-iscsi-string-prep-05.txt,
	draft-ietf-krb-wg-utf8-profile-01.txt,
	draft-ietf-ldapbis-dn-11.txt, draft-ietf-ldapbis-strprep-00.txt,
	draft-ietf-ldapbis-strprep-01.txt, draft-ietf-sasl-anon-00.txt,
	draft-ietf-sasl-saslprep-00.txt, draft-ietf-sasl-saslprep-01.txt,
	draft-ietf-sasl-saslprep-02.txt, draft-ietf-xmpp-nodeprep-01.txt,
	draft-ietf-xmpp-nodeprep-02.txt, draft-ietf-xmpp-nodeprep-03.txt,
	draft-ietf-xmpp-resourceprep-01.txt,
	draft-ietf-xmpp-resourceprep-02.txt,
	draft-ietf-xmpp-resourceprep-03.txt,
	draft-josefsson-idn-test-vectors-00.txt,
	draft-josefsson-idn-test-vectors.xml,
	draft-zeilenga-ldapbis-strmatch-02.txt,
	draft-zeilenga-ldapbis-strprep-00.txt, rfc3454.txt, rfc3490.txt,
	rfc3491.txt, rfc3492.txt: Move documentation and specifications into
	doc/ and doc/specifications/.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* getopt.c, getopt.h, getopt1.c, gl/Makefile.am, gl/getopt.c,
	gl/getopt.h, gl/getopt1.c, gl/m4/Makefile.am, gl/m4/memset.m4,
	gl/m4/onceonly_2_57.m4, gl/m4/strdup.m4, gl/memset.c, gl/strdup.c,
	memset.c, strdup.c: Move portability utilities into gl/.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* gen-stringprep-tables.pl, gen-unicode-tables.pl, idna.c, idna.h,
	internal.h, lib/Makefile.am, lib/gen-stringprep-tables.pl,
	lib/gen-unicode-tables.pl, lib/idna.c, lib/idna.h, lib/internal.h,
	lib/nfkc.c, lib/profiles.c, lib/punycode.c, lib/punycode.h,
	lib/stringprep.c, lib/stringprep.h.in, lib/stringprep_generic.h,
	lib/stringprep_iscsi.h, lib/stringprep_kerberos5.h,
	lib/stringprep_nameprep.h, lib/stringprep_plain.h,
	lib/stringprep_xmpp.h, lib/toutf8.c, lib/version.c, nfkc.c,
	profiles.c, punycode.c, punycode.h, stringprep.c, stringprep.h.in,
	stringprep_generic.h, stringprep_iscsi.h, stringprep_kerberos5.h,
	stringprep_nameprep.h, stringprep_plain.h, stringprep_xmpp.h,
	toutf8.c, version.c: Move library into lib/.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* tests/Makefile.am, tests/tst_idna.c, tests/tst_nfkc.c,
	tests/tst_punycode.c, tests/tst_stringprep.c, tst_idna.c,
	tst_nfkc.c, tst_punycode.c, tst_stringprep.c: Move tests into
	tests/.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* idn.c, idn.ggo.in, idna.el, punycode.el, src/Makefile.am,
	src/idn.c, src/idn.ggo.in, src/idna.el, src/punycode.el: Move
	applications into src/.

2003-08-20  Simon Josefsson <simon@josefsson.org>

	* example.c, example2.c, example3.c, example4.c,
	examples/Makefile.am, examples/example.c, examples/example2.c,
	examples/example3.c, examples/example4.c: Move examples into
	examples/.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* TODO: Add.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* nfkc.c: Fix doc.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* tst_idna.c: Remove unused function.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* idn.c: Fix warnings.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* NEWS, doc/libidn.texi, reference/dummy.c: Add.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* idna.c, idna.h: Use enum types where appropriate.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Doc fixes.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* stringprep.h.in: Fix.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* stringprep.c: Use enum/size_t/ssize_t where appropriate. Doc fix.


2003-08-13  Simon Josefsson <simon@josefsson.org>

	* stringprep.h.in: Replace int with proper enum, where appropriate.


2003-08-13  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Typo.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add FreeBSD 4.8.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.2.2.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix release target.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix release target.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* NEWS, TODO: Add.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* punycode.c: Typo.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* punycode.h: Indent.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* punycode.h: Revert to RFC code: use punycode_status.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* punycode.c: Revert to RFC code: use punycode_uint and enum
	punycode_status. However, we do continue to use size_t to promote
	use of sizeof() by application writers.  We return
	punycode_bad_input if a size_t value exceeds the largest
	punycode_uint, since the code presumably cannot handle that.  If
	size_t is smaller than punycode_uint, it seems unlikely that an
	application could be able to pass a string that is longer than
	SIZE_MAX anyway, but should it happen the worst that occur is that
	the punycode code will only see the beginning of the string, which
	isn't unreasonable on a platform with a small SIZE_MAX.

2003-08-13  Simon Josefsson <simon@josefsson.org>

	* punycode.h: Define and use punycode_uint.

2003-08-08  Simon Josefsson <simon@josefsson.org>

	* toutf8.c: (stringprep_locale_charset): Improve docstring.

2003-08-01  Simon Josefsson <simon@josefsson.org>

	* draft-ietf-ips-iscsi-string-prep-05.txt: Add.

2003-07-31  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Replace gnudist with gnuftp.

2003-07-31  Simon Josefsson <simon@josefsson.org>

	* NEWS, THANKS: Add.

2003-07-31  Simon Josefsson <simon@josefsson.org>

	* idn.c: Encode -u output in locale charset, suggested by Adam M.
	Costello.

2003-07-11  Simon Josefsson <simon@josefsson.org>

	* memset.c: Rewrite to get LGPL code.

2003-07-11  Simon Josefsson <simon@josefsson.org>

	* strdup.c: Revert, to get LGPL code.

2003-07-11  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Install but don't distribute idn-int.h.

2003-07-11  Simon Josefsson <simon@josefsson.org>

	* m4/.cvsignore: [no log message]

2003-07-11  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.ac, m4/Makefile.am: Dist m4's.

2003-07-11  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.ac, m4/memset.m4, m4/onceonly_2_57.m4,
	m4/strdup.m4, strdup.c: Replace AC_REPLACE_OBJ with gnulib.

2003-07-11  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2003-07-11  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-07-11  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Use BUILT_SOURCES for idn_cmd.* and idn-int.h, and
	don't include idn-int.h in the distribution.

2003-07-08  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2003-07-08  Simon Josefsson <simon@josefsson.org>

	* m4/ax_create_stdint_h.m4: Look in sys/types.h too, for cygwin.

2003-07-05  Simon Josefsson <simon@josefsson.org>

	* ANNOUNCE, doc/libidn.texi: Don't use () when talking about the
	name of a function.

2003-07-04  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2003-07-04  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.2.1.

2003-07-04  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Create idn_cmd.* in srcdir.

2003-07-04  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-07-04  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2003-07-04  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-07-04  Simon Josefsson <simon@josefsson.org>

	* idna.c: Fix last commit.

2003-07-04  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2003-07-04  Simon Josefsson <simon@josefsson.org>

	* idna.c: Handle empty labels, tiny patch based on suggestion by
	Marcos Sanz/Denic <sanz@denic.de>.

2003-07-02  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2003-07-02  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Ignore .cvs*.

2003-07-02  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Add legal information to ChangeLog.

2003-07-02  Simon Josefsson <simon@josefsson.org>

	* .cvscopying: Add.

2003-07-02  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2003-07-02  Simon Josefsson <simon@josefsson.org>

	* toutf8.c, tst_punycode.c: Indent.

2003-07-02  Simon Josefsson <simon@josefsson.org>

	* toutf8.c: (stringprep_convert): Use ICONV_CONST.  Tiny patch suggested by
	Robert Norris <rob@cataclysm.cx>.

2003-07-02  Simon Josefsson <simon@josefsson.org>

	* draft-ietf-ldapbis-dn-11.txt, draft-ietf-ldapbis-strprep-01.txt: 
	Add.

2003-06-24  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Gengetopt 2.10 or later is required.

2003-06-24  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Don't distclean idn_cmd.*, just maintainer-clean
	them.

2003-06-19  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2003-06-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.2.0.

2003-06-19  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Distclean idn-int.h (really!).

2003-06-19  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Install and distclean idn-int.h properly.

2003-06-19  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Distclean idn-int.h.

2003-06-19  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Remove idn-int.h.

2003-06-19  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Add woody armv4l.

2003-06-19  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump so version.

2003-06-19  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Tested on debian-sparc64.

2003-06-19  Simon Josefsson <simon@josefsson.org>

	* reference/Makefile.am: Ignore idn-int.h.

2003-06-19  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Build e.g. idn before doc/idn.1 is built.

2003-06-19  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi, punycode.c, punycode.h: GTK-DOC doesn't like enum
	return types.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Copy manual from right place.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* doc/.cvsignore: [no log message]

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, tst_oidna.c: Remove obsolete test (we break backwards
	compatibility).

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* doc/libidn.texi: Fix.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* idn.c, idna.c, nfkc.c, profiles.c, stringprep.c, toutf8.c,
	tst_idna.c, tst_oidna.c, tst_stringprep.c: Indent.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* idn.c, tst_punycode.c: Fix typo.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, tst_opunycode.c, tst_ostringprep.c: Not needed (new
	API backwards compatible).

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* tst_punycode.c, tst_stringprep.c: Use uint32_t instead of unsigned
	long.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* example2.c: Revert to RFC, but use uint32_t and size_t.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* idna.h: Revert last change.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* idna.c: Fixes.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* idna.h: Remove old interfaces.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* example3.c, example4.c, idn.c: Use modern API.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* toutf8.c: Fix warnings.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* idna.c: Use uint32_t instead of unsigned long. New functions
	idna_to_ascii_4i, idna_to_unicode_44i, idna_to_ascii_4z,
	idna_to_ascii_8z, idna_to_ascii_lz, idna_to_unicode_4z4z,
	idna_to_unicode_8z4z, idna_to_unicode_8z8z, idna_to_unicode_8zlz,
	idna_to_unicode_lzlz.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* tst_idna.c, tst_oidna.c: Fix.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* idna.h: Fix.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* idna.h: Include stddef.h and idn-int.h. Add IDNA flags. Add new
	IDNA entry points.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump version.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* stringprep.c: Change unsigned long to uint32_t.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* stringprep.h.in: Change unsigned long to uint32_t. Fix enum
	definitions.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* internal.h: Remove inttypes/stdint, idn-int.h is used now.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* tst_oidna.c, tst_opunycode.c, tst_ostringprep.c: Add old API
	tests.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* .cvsignore: [no log message]

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* doc/Makefile.am: Fix.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.ac, doc/.cvsignore, doc/Makefile.am,
	doc/fdl.texi, doc/lgpl.texi, doc/libidn.texi, fdl.texi, lgpl.texi,
	libidn.texi: Move manual to doc/.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Don't use gdoc.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* nfkc.c: Use uint32_t instead of unsigned long.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Get m4's from m4/. Add tst_o*'s. Regenerate ChangeLog
	only for releases.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* gen-unicode-tables.pl: Include internal.h for uint32_t and use it.


2003-06-18  Simon Josefsson <simon@josefsson.org>

	* punycode.c: Change unsigned long to uint32_t. Use enum
	punycode_status return type. Sync with RFC (after indent).

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* punycode.h: Include stddef and idn-int.h. Add RFC compatibility
	enum punycode_status elements. Change return type to enum
	punycode_status. Use uint32_t instead of unsigned long.

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* .cvsignore: [no log message]

2003-06-18  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.ac, iconv.m4,
	m4/ac_compile_check_sizeof.m4, m4/ax_create_stdint_h.m4,
	m4/iconv.m4: New idn-int.h for portable fixed size integers. Create
	m4/ and move iconv.m4 to it.

2003-06-12  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Remove GNU make specific idiom.

2003-06-07  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2003-06-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.1.15.

2003-06-07  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-06-07  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump version.

2003-06-07  Simon Josefsson <simon@josefsson.org>

	* stringprep.c, tst_idna.c, tst_stringprep.c: Remove DRAFT stuff
	(moved to separate branch).

2003-06-06  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add. Fix.

2003-06-06  Simon Josefsson <simon@josefsson.org>

	* idna.c: Handle non-zero terminated inputs.  Tiny patch suggested
	by Thiago Macieira.

2003-06-06  Simon Josefsson <simon@josefsson.org>

	* draft-ietf-xmpp-nodeprep-03.txt,
	draft-ietf-xmpp-resourceprep-03.txt: Add.

2003-06-04  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2003-06-04  Simon Josefsson <simon@josefsson.org>

	* nfkc.c: Check array bounds, tiny patch from Joe Hildebrand.

2003-06-02  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2003-05-28  Simon Josefsson <simon@josefsson.org>

	* draft-ietf-ldapbis-strprep-00.txt: Add.

2003-05-28  Simon Josefsson <simon@josefsson.org>

	* draft-ietf-sasl-saslprep-02.txt: Add.

2003-05-10  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2003-05-10  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.1.14.

2003-05-10  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2003-05-10  Simon Josefsson <simon@josefsson.org>

	* contrib/README: Add.

2003-05-10  Simon Josefsson <simon@josefsson.org>

	* idna.el, punycode.el: Bind process-environment correctly.

2003-05-09  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Copy doxygen docs.

2003-05-09  Simon Josefsson <simon@josefsson.org>

	* draft-ietf-ldapbis-dn-10.txt: Unrealted, mistakenly added.

2003-05-09  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-05-09  Simon Josefsson <simon@josefsson.org>

	* draft-josefsson-idn-test-vectors.xml: Add UTF-8 tests.

2003-05-09  Simon Josefsson <simon@josefsson.org>

	* punycode.el: Use process-environment instead of utility env.
	Default values of punycode-program, punycode-to-ascii-parameters,
	punycode-to-unicode-parameters changed, and punycode-environment
	added. Use separate error strings. Handle when idn is not installed.


2003-05-09  Simon Josefsson <simon@josefsson.org>

	* idna.el: Use process-environment instead of utility env. Default
	values of idna-program, idna-to-ascii-parameters,
	idna-to-unicode-parameters changed, and idna-environment added. Use
	separate error strings.

2003-05-09  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Update Emacs Lisp API. Fix toc.

2003-05-09  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2003-05-07  Simon Josefsson <simon@josefsson.org>

	* idna.el: Handle when idn is not installed.

2003-05-06  Simon Josefsson <simon@josefsson.org>

	* draft-ietf-ldapbis-dn-10.txt, draft-ietf-sasl-saslprep-01.txt,
	draft-zeilenga-ldapbis-strprep-00.txt: Add.

2003-04-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-04-23  Simon Josefsson <simon@josefsson.org>

	* NEWS: Fix NEWS entry of last release (API/ABI compatibility).

2003-04-23  Simon Josefsson <simon@josefsson.org>

	* draft-ietf-xmpp-nodeprep-02.txt,
	draft-ietf-xmpp-resourceprep-02.txt: Add.

2003-04-20  Simon Josefsson <simon@josefsson.org>

	* draft-josefsson-idn-test-vectors-00.txt: Add.

2003-04-16  Simon Josefsson <simon@josefsson.org>

	* ANNOUNCE: Mention devices it runs on.

2003-03-28  Simon Josefsson <simon@josefsson.org>

	* tst_stringprep.c: Fix bad UTF-8. Self test for bad UTF-8.

2003-03-26  Simon Josefsson <simon@josefsson.org>

	* draft-josefsson-idn-test-vectors.xml: Text fixes.

2003-03-26  Simon Josefsson <simon@josefsson.org>

	* tst_idna.c, tst_stringprep.c: Fix -DDRAFT output.

2003-03-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Dist contrib/doxygen/.

2003-03-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Mention doxygen.

2003-03-26  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Build contrib/doxygen/Doxyfile.

2003-03-26  Simon Josefsson <simon@josefsson.org>

	* contrib/doxygen/Doxyfile.orig: Add unmodified doxygen
	configuration file, for future "diff"s.

2003-03-26  Simon Josefsson <simon@josefsson.org>

	* contrib/doxygen/Doxyfile.in: Use PDF hyperlinks.

2003-03-26  Simon Josefsson <simon@josefsson.org>

	* gdoc: Add -doxygen.

2003-03-26  Simon Josefsson <simon@josefsson.org>

	* internal.h: Add \mainpage for doxygen.

2003-03-26  Simon Josefsson <simon@josefsson.org>

	* contrib/README: Mention doxygen.

2003-03-26  Simon Josefsson <simon@josefsson.org>

	* contrib/doxygen/.cvsignore, contrib/doxygen/Doxyfile.in,
	contrib/doxygen/gdoc2doxygen: Add doxygen template.

2003-03-23  Simon Josefsson <simon@josefsson.org>

	* FAQ: Fix.

2003-03-23  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2003-03-23  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Ignore draft.*xml in ChangeLog.

2003-03-23  Simon Josefsson <simon@josefsson.org>

	* idn.c: Fix debug prints.

2003-03-22  Simon Josefsson <simon@josefsson.org>

	* draft-josefsson-idn-test-vectors.xml: Fix sec cons.

2003-03-22  Simon Josefsson <simon@josefsson.org>

	* draft-josefsson-idn-test-vectors.xml: Cosmetic fixes.

2003-03-22  Simon Josefsson <simon@josefsson.org>

	* draft-josefsson-idn-test-vectors.xml: Add IDNA stuff. Ack
	punycode.

2003-03-22  Simon Josefsson <simon@josefsson.org>

	* stringprep.c, tst_stringprep.c: Fixes for -DDRAFT.

2003-03-22  Simon Josefsson <simon@josefsson.org>

	* tst_idna.c: Support -DDRAFT.

2003-03-22  Simon Josefsson <simon@josefsson.org>

	* draft-josefsson-idn-test-vectors.xml: Editorial fixes. Sync
	stringprep table. Fix references.

2003-03-13  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2003-03-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.1.13.

2003-03-13  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Sync ANNOUNCE.

2003-03-13  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump so version.

2003-03-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-03-13  Simon Josefsson <simon@josefsson.org>

	* ANNOUNCE: Add lingos.

2003-03-13  Simon Josefsson <simon@josefsson.org>

	* contrib/java/README: Doc fix.

2003-03-13  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Dist Java stuff.

2003-03-13  Simon Josefsson <simon@josefsson.org>

	* contrib/java/README: Doc fix.

2003-03-13  Simon Josefsson <simon@josefsson.org>

	* NEWS: Mention Java API.

2003-03-13  Simon Josefsson <simon@josefsson.org>

	* contrib/README: Add java/.

2003-03-13  Simon Josefsson <simon@josefsson.org>

	* contrib/java/.cvsignore, contrib/java/ExampleIDNA.java,
	contrib/java/IDNA.c, contrib/java/IDNA.java,
	contrib/java/Makefile.am, contrib/java/README,
	contrib/java/autogen.sh, contrib/java/configure.ac: Add JAVA API
	proof of concept.

2003-03-13  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Tested on more platforms.

2003-03-12  Simon Josefsson <simon@josefsson.org>

	* stringprep.c, tst_stringprep.c: Fix mem leak.

2003-03-12  Simon Josefsson <simon@josefsson.org>

	* tst_idna.c: Fix mem leak.

2003-03-12  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Ignore errors instead of using missing for gengetopt.


2003-03-12  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Ignore errors instead of using missing for
	gengetopt. Bump version.

2003-03-12  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Add platform.

2003-03-12  Simon Josefsson <simon@josefsson.org>

	* ANNOUNCE: Spec update.

2003-03-10  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Cvs2cl ignore contrib.

2003-03-10  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Use cvs2cl's new --FSF.

2003-03-10  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Text fix.

2003-03-10  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Text fixes. Remove ASCII incompatible
	encodings.

2003-03-09  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Use UTF-8 by default. Text fixes. Change
	ascii and sjis charsets.

2003-03-08  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Don't reset data. Use iconv charsets.

2003-03-08  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Cleanup.

2003-03-08  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Fix text.

2003-03-08  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Fix charset.

2003-03-08  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Fix text.

2003-03-08  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Make charset selection clearer.

2003-03-08  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Fix HTML, based on Martin Duerst's
	suggestions.

2003-03-08  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Use valid HTML.

2003-03-08  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Add.

2003-03-08  Simon Josefsson <simon@josefsson.org>

	* example2.c, punycode.c, punycode.h: Sync with RFC.

2003-03-08  Simon Josefsson <simon@josefsson.org>

	* draft-zeilenga-ldapbis-strmatch-02.txt: Add.

2003-03-08  Simon Josefsson <simon@josefsson.org>

	* draft-ietf-idn-idna-14.txt, draft-ietf-idn-nameprep-11.txt,
	draft-ietf-idn-punycode-03.txt, rfc3490.txt, rfc3491.txt,
	rfc3492.txt: Replace drafts with RFCs.

2003-03-07  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Mention more prereqs.

2003-03-07  Simon Josefsson <simon@josefsson.org>

	* idna.c: Remove gtk-doc trigger for obsolete functions.

2003-03-07  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Move appendix last. Cleanup @copying.

2003-03-07  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Dist FAQ and contrib/web/idn.php.

2003-03-07  Simon Josefsson <simon@josefsson.org>

	* README: Add. Move todo list to TODO.

2003-03-07  Simon Josefsson <simon@josefsson.org>

	* TODO: Add, taken from README.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: ANNOUNCE sync.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* ANNOUNCE: Cleanup.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* FAQ: Update questions and answers.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* FAQ: Moved faq from file README.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* README: Move faq to file FAQ. Add donation info. Update todo's.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Security fix.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add forgotten 0.1.12 items.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Typo.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Add debug.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* draft-ietf-ips-iscsi-string-prep-03.txt,
	draft-ietf-krb-wg-utf8-profile-00.txt: Remove.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.1.12.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Remove stringprep_*.h. Document stringprep in idn.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* libc/README: Fix ace.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Add errors.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Support stringprep.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Ignore gengetopt errors.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* draft-ietf-xmpp-nodeprep-00.txt,
	draft-ietf-xmpp-resourceprep-00.txt: Remove.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* idn.c, idn.ggo.in: Add -s and -p for stringprep.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* NEWS: Mention stringprep API changes.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* profiles.c, stringprep.c, stringprep.h.in, tst_stringprep.c: Add
	stringprep_profile().

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* reference/Makefile.am: Cosmetic fix.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* NEWS, example.c, internal.h, profiles.c, reference/Makefile.am,
	reference/libidn-docs.tmpl, stringprep.h.in, stringprep_generic.h,
	stringprep_iscsi.h, stringprep_kerberos5.h, stringprep_nameprep.h,
	stringprep_plain.h, stringprep_xmpp.h: Deprecate stringprep_*.h.

2003-03-06  Simon Josefsson <simon@josefsson.org>

	* draft-ietf-ips-iscsi-string-prep-04.txt,
	draft-ietf-krb-wg-utf8-profile-01.txt: Add.

2003-03-04  Simon Josefsson <simon@josefsson.org>

	* README-alpha: Fixup.

2003-03-02  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Fix typo.

2003-03-02  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Reorder.  Add errors.

2003-03-02  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Fix.

2003-03-02  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Add examples.

2003-03-02  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Fix ct. Add example.

2003-03-02  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Add example.

2003-03-02  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Fix.

2003-03-02  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Fix.

2003-03-02  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Examples.

2003-03-02  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Fix typos.

2003-03-02  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Move examples to bottom.

2003-03-02  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Add examples.

2003-03-02  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Bug reporting.

2003-03-02  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Fixes.

2003-03-02  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Charset fixes.

2003-03-02  Simon Josefsson <simon@josefsson.org>

	* NEWS: Mention idn.php.

2003-03-02  Simon Josefsson <simon@josefsson.org>

	* contrib/README: Add.

2003-03-02  Simon Josefsson <simon@josefsson.org>

	* contrib/web/idn.php: Add.

2003-03-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Check for gengetopt.

2003-03-01  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Use GENGETOPT.

2003-03-01  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add glibc 2.3.2.

2003-03-01  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump version.

2003-03-01  Simon Josefsson <simon@josefsson.org>

	* libc/README, libc/Versions, libc/getaddrinfo.c, libc/libc.patch: 
	Update to libc 2.3.2.

2003-02-28  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-02-27  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Copying conditions.

2003-02-27  Simon Josefsson <simon@josefsson.org>

	* profiles.c: Add SASLprep.

2003-02-27  Simon Josefsson <simon@josefsson.org>

	* stringprep.h.in: Add SASL profile.

2003-02-27  Simon Josefsson <simon@josefsson.org>

	* tst_stringprep.c: Test SASL profile.

2003-02-27  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Don't byte compile elisp. Cleanup EXTRA_DIST.

2003-02-27  Simon Josefsson <simon@josefsson.org>

	* idn.ggo.in: Add copyright.

2003-02-27  Simon Josefsson <simon@josefsson.org>

	* draft-ietf-sasl-saslprep-00.txt: Add.

2003-02-27  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Don't ack self.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Cleanup extra dist.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Make idn.c depend on idn_cmd.*.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* reference/Makefile.am: Ignore getopt.h.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* idna.el, punycode.el: Doc fix.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Reorder acks. Add function and variable index.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* fdl.texi, lgpl.texi: Fix TOC.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.1.11.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Distcheck fixes.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Document Emacs API.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* .cvsignore: [no log message]

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions. Look for help2man.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Build idn.1 man page.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Document idn.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* idna.el: Mention todo.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Build idna.el.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* idna.el: Elisp interface for IDNA.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* punycode.el: Add keywords.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* punycode.el: Fix doc.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* .cvsignore: [no log message]

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Add automake elisp check.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Add punycode.el.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* punycode.el: Elisp interface for punycode.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix gengetopt invocation.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* idn.c: Print help on usage error. Minor cleanup.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* idn.ggo.in: Fix package/version name.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* idn.ggo.in: Shorten line <80ch.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* .cvsignore: [no log message]

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* getopt.c, getopt.h, getopt1.c: Add.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Link with getopt if system doesn't have
	getopt_long(). Build idn.ggo.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Build idn.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* idn.ggo.in: Add command line option specification for idn.c.

2003-02-26  Simon Josefsson <simon@josefsson.org>

	* idn.c: Add command line interface to library.

2003-02-25  Simon Josefsson <simon@josefsson.org>

	* draft-ietf-xmpp-nodeprep-01.txt,
	draft-ietf-xmpp-resourceprep-01.txt: Add.

2003-02-21  Simon Josefsson <simon@josefsson.org>

	* profiles.c: NFKC XMPP resourceprep.

2003-02-21  Simon Josefsson <simon@josefsson.org>

	* profiles.c: NFKC XMPP nodeprep.

2003-02-21  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2003-02-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.1.10.

2003-02-21  Simon Josefsson <simon@josefsson.org>

	* reference/Makefile.am: Distribute libidn-stringprep-iscsi.html.

2003-02-21  Simon Josefsson <simon@josefsson.org>

	* idna.c: Doc fix.

2003-02-21  Simon Josefsson <simon@josefsson.org>

	* NEWS, idna.c, idna.h: Deprecate idna_*_to_ace() and
	idna_*ace_to_*(). Add idna_to_ascii_from_*() and
	idna_to_unicode_*_from_*().

2003-02-21  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Make release project independent.

2003-02-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-02-21  Simon Josefsson <simon@josefsson.org>

	* ANNOUNCE, Makefile.am, README, internal.h, libidn.texi,
	profiles.c, reference/dummy.c, reference/libidn-docs.tmpl,
	stringprep_iscsi.h, tst_stringprep.c: Add iSCSI profile.

2003-02-21  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Distribute contrib/*.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* contrib/README: Describe contents of contrib/.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* contrib/idn-python/Makefile, contrib/idn-python/README,
	contrib/idn-python/idn.c, contrib/idn-python/test.py: Add Stephane
	Bortzmeyer's python interface.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Install punycode.h.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Install idna.h, tiny patch from Stephane Bortzmeyer.


2003-02-20  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.1.9.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* reference/libidn-docs.tmpl: Include stringprep_plain.sgml.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* reference/Makefile.am: Add libidn-stringprep-plain.html.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* reference/.cvsignore: [no log message]

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Fix last commit.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Mention stringprep_plain.h.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* reference/dummy.c: Add stringprep_plain.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* profiles.c: Don't case fold XMPP resources.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* profiles.c: Really fix XMPP definition.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Add stringprep_plain.h.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump versions.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Sync ANNOUNCE.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* ANNOUNCE: Mention SASL "plain".

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* tst_stringprep.c: Remove broken XMPP tests. Add SASL test.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* draft-ietf-sasl-anon-00.txt: Add.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* internal.h: Include stringprep_plain.h.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* profiles.c: Add stringprep_plain for SASL ANONYMOUS plain profile.


2003-02-20  Simon Josefsson <simon@josefsson.org>

	* profiles.c: Fix XMPP definition.

2003-02-20  Simon Josefsson <simon@josefsson.org>

	* stringprep_plain.h: New file.

2003-02-19  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-02-19  Simon Josefsson <simon@josefsson.org>

	* THANKS: Add.

2003-02-19  Simon Josefsson <simon@josefsson.org>

	* profiles.c: Don't normalize or map ASCII space for XMPP nodeprep.
	Tiny patch from Travis Shirk <TShirk@jabber.com>.

2003-02-18  Simon Josefsson <simon@josefsson.org>

	* README: Add.

2003-02-15  Simon Josefsson <simon@josefsson.org>

	* idna.c: Make sure decoded punycode data is zero terminated.

2003-02-15  Simon Josefsson <simon@josefsson.org>

	* tst_idna.c: Fix memory leak.

2003-02-15  Simon Josefsson <simon@josefsson.org>

	* idna.c: Fix memory leaks. Waste less memory.

2003-02-15  Simon Josefsson <simon@josefsson.org>

	* idna.c: Fix memory leak.

2003-02-14  Simon Josefsson <simon@josefsson.org>

	* tst_stringprep.c: Fix.

2003-02-14  Simon Josefsson <simon@josefsson.org>

	* nfkc.c: Fix typo.

2003-02-14  Simon Josefsson <simon@josefsson.org>

	* stringprep.c: Fix maplen calculation.

2003-02-14  Simon Josefsson <simon@josefsson.org>

	* stringprep.c: Fix gcc warnings.

2003-02-14  Simon Josefsson <simon@josefsson.org>

	* stringprep.c, stringprep.h.in: Change STRINGPREP_MAX_MAP_CHARS to
	4 to waste less space.

2003-02-14  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2003-02-14  Simon Josefsson <simon@josefsson.org>

	* NEWS: Version 0.1.8.

2003-02-14  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: GTK-DOC fix.

2003-02-13  Simon Josefsson <simon@josefsson.org>

	* libidn.texi: Update port status.

2003-02-13  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Use = instead of == as test operator.

2003-02-13  Simon Josefsson <simon@josefsson.org>

	* example2.c, stringprep.c: Use size_t for string lengths.

2003-02-13  Simon Josefsson <simon@josefsson.org>

	* example2.c: Revert missing-noreturn fix.

2003-02-13  Simon Josefsson <simon@josefsson.org>

	* idna.c: Use size_t for string lengths.

2003-02-13  Simon Josefsson <simon@josefsson.org>

	* Makefile.am, configure.ac: Condition GTK-DOC and disable by
	default.

2003-02-13  Simon Josefsson <simon@josefsson.org>

	* reference/.cvsignore: [no log message]

2003-02-13  Simon Josefsson <simon@josefsson.org>

	* reference/tmpl/.cvsignore: Remove.

2003-02-13  Simon Josefsson <simon@josefsson.org>

	* configure.ac, reference/Makefile.am, reference/libidn-docs.sgml,
	reference/libidn-docs.tmpl, reference/libidn.types,
	reference/tmpl/idna.sgml, reference/tmpl/punycode.sgml,
	reference/tmpl/stringprep.sgml,
	reference/tmpl/stringprep_generic.sgml,
	reference/tmpl/stringprep_kerberos5.sgml,
	reference/tmpl/stringprep_nameprep.sgml,
	reference/tmpl/stringprep_xmpp.sgml: Cleanup gtk-doc build.

2003-02-12  Simon Josefsson <simon@josefsson.org>

	* profiles.c: Zero terminate XMPP array.

2003-02-12  Simon Josefsson <simon@josefsson.org>

	* configure.ac: Bump version (both shared library and package).

2003-02-12  Simon Josefsson <simon@josefsson.org>

	* NEWS: Add.

2003-02-12  Simon Josefsson <simon@josefsson.org>

	* example.c, example2.c, gen-unicode-tables.pl, idna.c, internal.h,
	nfkc.c, punycode.c, stringprep.c, stringprep.h.in, toutf8.c,
	tst_idna.c, tst_nfkc.c, tst_punycode.c, tst_stringprep.c: Fix CFLAGS
	warnings.

2003-02-12  Simon Josefsson <simon@josefsson.org>

	* example3.c, example4.c: Fix CFLAGS warnings. Use official IDNA ACE
	prefix.

2003-02-12  Simon Josefsson <simon@josefsson.org>

	* tst_stringprep.c: Cleanups for including as appendix in draft.

2003-02-12  Simon Josefsson <simon@josefsson.org>

	* draft-josefsson-idn-test-vectors.xml: Add preliminary version.

2003-02-12  Simon Josefsson <simon@josefsson.org>

	* profiles.c: Don't optimize prohibited output tables (better trace
	logs).

2003-02-12  Simon Josefsson <simon@josefsson.org>

	* tst_stringprep.c: More self tests. More debug info.

2003-02-12  Simon Josefsson <simon@josefsson.org>

	* stringprep.c: More debug output.

2003-02-12  Simon Josefsson <simon@josefsson.org>

	* idna-ace-prefix.txt: Official results.

2003-02-12  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2003-02-12  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Improve release target.

2003-02-12  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Add release target.

2003-02-12  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2003-02-12  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Version 0.1.7.

2003-02-12  Simon Josefsson <simon@josefsson.org>

	* tst_idna.c: Fix IDNA ACE prefix.

2003-02-12  Simon Josefsson <simon@josefsson.org>

	* idna.h: Use official IDNA prefix.

2003-02-11  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: [no log message]

2003-02-11  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Add upload target.

2003-02-11  Simon Josefsson <simon@josefsson.org>

	* tst_idna.c: Use new IDNA ACE prefix.

2003-02-11  Simon Josefsson <simon@josefsson.org>

	* ChangeLog: Update.

2003-02-11  Simon Josefsson <simon@josefsson.org>

	* NEWS, configure.ac: Version 0.1.6.

2003-02-11  Simon Josefsson <simon@josefsson.org>

	* idna-ace-prefix.txt: Add my computation.

2003-02-11  Simon Josefsson <simon@josefsson.org>

	* idna.h: Chose IDNA prefix based on my computation.

2003-02-09  Simon Josefsson <simon@josefsson.org>

	* internal.h: Fix header.

2003-02-09  Simon Josefsson <simon@josefsson.org>

	* stringprep.h.in: Fix.

2003-02-09  Simon Josefsson <simon@josefsson.org>

	* draft-ietf-ips-iscsi-string-prep-03.txt: Add.

2003-02-09  Simon Josefsson <simon@josefsson.org>

	* profiles.c: Indent.

2003-02-09  Simon Josefsson <simon@josefsson.org>

	* autogen.sh: Don't run configure.

2003-02-09  Simon Josefsson <simon@josefsson.org>

	* Makefile.am: Fix cvs2cl.

